/*
Login Block
```
<div class="login-block">
  <!-- Login form -->
  <form>
    <div class="form-group">
      <label for="exampleInputEmail1">Email address</label>
      <input type="email" class="form-control" id="exampleInputEmail1" placeholder="Email">
    </div>
    <div class="form-group">
      <label for="exampleInputPassword1">Password</label>
      <input type="password" class="form-control" id="exampleInputPassword1" placeholder="Password">
    </div>
    <button type="submit" class="btn btn-default btn-warning btn-lg">LOGIN</button>
  </form>
  <!-- end Login form -->
</div>
```               
*/
.login-block {
    border-radius: 15px;
    background-color: #84b6d1;
    box-shadow: 5px 5px 1px #346585;
    padding: 0px 20px 48px 20px;
    position: relative;
    width: 91%;
    right: -30px;
}
.login-block input[type=text],
.login-block input[type=email],
.login-block input[type=password],
.login-block input[type=num],
.login-block input[type=tel]{

  border-radius: 0;
  padding: 5px 16px;
  height: 30px;
}


.login-block .form-group.center ,
.login-block .form-group.center {
	text-align: center;
	padding-left: 20px;
	padding-right: 20px;
}


#btnLogin{
     margin: 21px 0 3px 0;
}


@media(max-width: 767px){
    .login-block {
      border-radius: 0;
      -webkit-border-top-left-radius: 15px;
      -webkit-border-top-right-radius: 15px;
      -moz-border-radius-topleft: 15px;
      -moz-border-radius-topright: 15px;
      border-top-left-radius: 15px;
      border-top-right-radius: 15px;
      background-color: #84b6d1;
      box-shadow: 5px 5px 1px #346585;
      padding: 0px 20px 48px 20px;
      position: relative;
      width: 100%;
      left:0;
  }

  .no-pad-all{
    padding:inherit !important;
  }
}
/*
profile image
```
<div class="profile-image">                     
 <img src="http://placehold.it/250x250" class="img-responsive img-circle">
</div>
```
*/


.profile-image{
    position: relative;
    text-align: center;
    height: 145px;
}
.profile-image img{
    width: 175px;
  margin:auto;
  position: absolute;
  top: -40px;
  left:0;
  right:0;
}
/*
New Block
```
```
*/
.news-block{
  border-radius: 15px;
  background-color: #e3e3e3;
  box-shadow: 5px 5px 1px #346585;
  margin-bottom: 20px;
}


/*overwrite bootstrap panel add custom color*/
/*
```
<div class="panel panel-dark">
	<div class="panel-heading">
		<h3 class="panel-title">UNREAD MESSAGES</h3>
	</div>
	<div class="panel-body">
		Panel content
	</div>
</div>
```
*/
.panel-dark{
      margin-bottom: 8px;
}

.panel.panel-dark{
	border: none;
	background-color: #E3E3E3;
  -webkit-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
-moz-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
}


.panel-dark .panel-title {
    margin-top: 0;
    margin-bottom: 0;
font-size: 15px;
    color: inherit;
    letter-spacing: 1px;
}

/*.panel-title-logo{
  width:30px;
  height:30px;
}
*/

.panel-dark.panel-dark-shadow{
-webkit-box-shadow: 13px 17px 34px -7px rgba(0,0,0,0.53);
-moz-box-shadow: 13px 17px 34px -7px rgba(0,0,0,0.53);
box-shadow: 13px 17px 34px -7px rgba(0,0,0,0.53);
}

.panel-dark .panel-body{
  /*padding: 10px 15px 15px 15px;*/
  padding: 10px 15px 11px 15px;
}

.panel-dark>.panel-heading {
    padding: 3px 15px 1px 15px;
  color: #FFFFFF;
  background-color: #464B4F;
  border-color: #464B4F;

  /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#4c5255+0,42494c+50,394043+100 */
background: rgb(76,82,85); /* Old browsers */
background: -moz-linear-gradient(top,  rgba(76,82,85,1) 0%, rgba(66,73,76,1) 50%, rgba(57,64,67,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(76,82,85,1)), color-stop(50%,rgba(66,73,76,1)), color-stop(100%,rgba(57,64,67,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  rgba(76,82,85,1) 0%,rgba(66,73,76,1) 50%,rgba(57,64,67,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  rgba(76,82,85,1) 0%,rgba(66,73,76,1) 50%,rgba(57,64,67,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  rgba(76,82,85,1) 0%,rgba(66,73,76,1) 50%,rgba(57,64,67,1) 100%); /* IE10+ */
background: linear-gradient(to bottom,  rgba(76,82,85,1) 0%,rgba(66,73,76,1) 50%,rgba(57,64,67,1) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#4c5255', endColorstr='#394043',GradientType=0 ); /* IE6-9 */

}

@media (max-width: 991px) {
	.panel.panel-dark{
		margin: 0;
		border-radius: 0;
		/*border-top:2px solid #ccc;*/
    box-shadow:none;
    -webkit-box-shadow:none;
    -moz-box-shadow:none;

	}

 .panel-dark .close{
  color: #ffffff !important;
 }
	.main-content>.panel.panel-dark:nth-child(1){
		border:none;
	}
	.panel-dark>.panel-heading{
		border-radius: 0;
    text-align: center;
	}

  .panel-dark .panel-body.panel-main-content{
    padding-bottom: 63px;
    min-height: 590px;
  }
}
/*
## News Item
```
<div class="news-item">
	<h1 class="news-item__title">consectetur adipisicing elit</h1>
	<p class="news-item__content">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Corporis accusamus consectetur nostrum, enim sit necessitatibus saepe molestias similique distinctio natus.</p>
</div>
```
*/

.news-item{
  /*padding: 0px 20px 43px 20px;*/
  height:196px;

}

.news-item__title{
  position: relative;
	color: #4c8fbc;
  font-size: 18px;
  font-weight: normal;
  margin: 4px 0 14px 0;
}

.news-item__date {
    font-weight: normal;
    text-transform: capitalize;
    float: right;
    font-size: 12px;
    line-height: 36px;
    color: #999999;
    top: 9px;
    position: absolute;
    right: 17px;
}

.news-item__content{
	font-size: 14px;
  color:#000;
}


/*
carousel-indicators.carousel-custom
```
 <ol class="carousel-indicators" style="bottom:-8%;">
 <li data-target="#carousel-example-generic" data-slide-to="0" class="active"></li>
 <li data-target="#carousel-example-generic" data-slide-to="1"></li>
</ol>
```
*/

.carousel-indicators.carousel-custom{
  top: 103% !important;
}
/*style pagination orange*/
.carousel-indicators.carousel-custom li {
  background-color: #abb1b3;
  border: 1px solid #abb1b3;
  border-radius: 10px;
}

.carousel-indicators.carousel-custom .active{
	  background-color: #eab622;
}


/*
header logo
```
<div class="header-logo"></div>
```
*/

.header-logo{
  min-height: 100px;
  width: 328px;
  margin: 10px auto 15px auto;
  background: url('<?php echo partner_logo(1);?>') 0 0 no-repeat;  
}

.header-logo-2{
  text-align: center;
}
.header-logo-2 img{
  width: 20%;
  margin-top: -19px;
  margin-bottom: -16px;
}

@media(max-width: 767px){
  .header-logo-2{
    margin-bottom: 7%;
  }

  .header-logo-2 img{
    width: 47%;
        margin-top: -19px;
    margin-bottom: -46px;
  }
.header-logo{
  margin:  10px auto 40px auto;
}

}

/*
Header Main
*/
.header-main{
	margin-bottom: 100px;
}
/*
Footer logo
```
<div class="footer-logo"></div>
```
*/

.footer-logo{
	background: url('<?php echo $GLOBALS["linkPath"]?>images/smsgloballogo_.png') 0 0 no-repeat;
	min-height: 100px;
  width: 328px;
}


/*
header
```
```
*/

/*
footer
```
```
*/

.footer{}

.footer-text{
	text-align:center;
  position: relative;
  color: #ffffff;
  line-height: 77px;
  font-size: 9px;
  color: #8bacc2;
}
.footer-image{
  height: 50px;
  margin-left: 27%;
}


@media(max-width: 991px){
  .footer{
    display: none;
  }

  .footer.footer-landing-login{
    display: block;
  }
}

/*
panel-title-large
```
```
*/
.panel-title-large{
  font-size: 19px;
}

/*
```
<div class="search-contacts">
  <input type="text">
  <div class="search-contacts-results"></div>
</div>
```
*/

.search-contacts{
  display: inline-block;
  float: right; 
  background-color: #cdcdcd;
  padding: 7px 6px;
  width:32%;
}
.search-contacts label{
  line-height: 29px;
  color: #333333;
  font-size: 11px;
}
.search-contacts input[type=text]{
  background: #dcdcdb;
}
.search-contacts .glyphicon.form-control-feedback{
    right: 14px;
}

.search-contacts-results{
  background: #d8d8d8;
  min-height: 60px;
  max-height: 60px;
  overflow-x:hidden;
  overflow-y:scroll;
  margin-top: 43px;
}
.search-contacts-results a{
    display: block;
    width: 100%;
    font-size: 13px;
    padding: 0px 10px;
}
.search-contacts-results a:hover{
  background: #CDCDCD;
}

.control-upper-container{
  display: inline-block;
}

@media(max-width: 991px){
    .panel-dark .panel-body {
      padding: 5px;
    }
   .search-contacts {
        width: 40%;
    }

    #search-contacts-label{display: none;}

  .simple-menu {
      margin: 0 !important;
  }
    .search-contacts label {
      line-height: 17px;
          display: block;
      width: 100%;
  }

}

@media(max-width: 991px){
  .control-upper-container{

    width:60%;
  }
  .search-contacts{

    width:40%;
  }
}
/*
send-message-form
```
<div class="send-message-form">
<form>
  <div class="send-message-form__header">
    <label>CC</label>
    <input type="text">
  </div>
  <div class="send-message-form__input">
    <label>CC</label>
    <input type="text">
  </div>
  <div class="send-message-form__input">
    <label>CC</label>
    <input type="text">
  </div>
  <div class="send-message-form__input">
    <label>CC</label>
    <input type="text">
  </div>
  <div class="send-message-form__input">
    <label>CC</label>
    <input type="text">
  </div>
  <div class="send-message-form__input">
    <label>CC</label>
    <input type="text">
  </div>
  <div class="send-message-form__footer">
    <label>CC</label>
    <input type="text">
  </div>
</form>
</div>
```
*/

.send-message-form{
  width: 100%;
  background: #ffffff;
  border-radius: 6px;
  -webkit-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
  -moz-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
  box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
  margin-bottom: 8px;
  min-height:405px;
}

.send-message-form__header{
  background: #4d5356;
  position: relative;
  border-radius: 6px 6px 0px 0px;
-moz-border-radius: 6px 6px 0px 0px;
-webkit-border-radius: 6px 6px 0px 0px;
}
.send-message-form__header p{
  margin: 0;
  padding: 0;
  color: #ffffff;
  text-transform: capitalize;
}

.send-message-form__header-close{
  position: absolute;
  right: 15px;
    top: 0px;
  font-size: 20px;
  color: #fff;
}
.send-message-form__header-close:hover,
.send-message-form__header-close:active,
.send-message-form__header-close:visited{
  color: #fff !important;
}
.send-message-form__header,
.send-message-form__footer{
  padding: 2px 10px;
  position: relative;  
}
.send-message-form__footer{
  border-top:1px solid #ccc;
}

.send-message-form__input{
  position: relative;
}

.send-message-form__input input,
.send-message-form__input textarea{
border: none;
    border-bottom: 1px solid #ccc;
    height: 27px;
    width: 100%;
    padding: 0 0 0 75px;
    font-size: 12px;
}


.send-message-form__input textarea,
.send-message-form__input-sms textarea{
    min-height: 182px;
    width: 100%;
    max-width: 100%;
    min-width: 100%;
    padding: 11px;
    font-size:14px;
}

.send-message-form__input-sms textarea{
  min-height: 301px;
  border:none;
  outline:none;
}
.send-message-form__input label{
    position: absolute;
    top: 6px;
    left: 10px;
    font-size: 12px;
    font-weight:normal;
}

.send-message-form .cc_button{
  border:1px solid #D48207;
}

.character-count{
  margin: 0 10px;
  font-weight: bold;
  font-size: 12px;
}


/*Chat Login*/

.chat-login{
  width: 570px;
    margin: 26px auto 31px auto;
  border: 2px solid #b5b5b5;
  padding: 31px 74px 21px 74px;
  background-color: #f1f1f1;
  border-radius: 7px;
  position:relative;
}

.login-chat-title{
    text-align: center;
    font-weight: bold;
    font-size: 19px;
    min-height: 35px;
}

.login-chat-title img{
  width: 35px;
  height: 35px;
  margin-right: 10px;
}

form.chat-login-form .cc_button{
  margin-right :19%; 
}

@media(max-width: 991px){
 .chat-login{ width: 100%;}
 .dynamic-chat-container{
    padding-left: 0;
    margin-top:20px;
  }

  form.chat-login-form .cc_button{
    margin-right :0; 
  }
}


.chat-menu-link-container{
  text-align: center;
  margin: 20px 0;
}
.chat-menu-link-container__title{
  color: #4d5356;
  font-size: 20px;
  margin-bottom: 25px;
  text-align: center;
}

.modal-content{
    -webkit-border-radius: 7px;
  -webkit-border-bottom-left-radius: 0;
  -moz-border-radius: 7px;
  -moz-border-radius-bottomleft: 0;
  border-radius: 7px;
  border-bottom-left-radius: 0;
}

/*
carousel-next-prev
```
<div class="carousel-next-prev" data-target="#carousel-0">
  <a href="" class="carousel-next-prev__prev">Previous</a>
  <a href="" class="carousel-next-prev__next">Next</a>
</div>
```
*/

.carousel-next-prev{
    position: absolute;
    bottom: 6px;
    width: 95%;
    text-align: center;
}

.carousel-next-prev a{
 margin:5px 20px;
 width: 100px;
 font-size: 12px;
 color: #4c8fbc;
}

.carousel-next-prev a:hover{
 text-decoration: none;
}


.usercontrolimage{
  margin: 20px -20px 20px 38px;
}

@media(max-width: 991px){
  .usercontrolimage{
    margin:0;
  margin-top: 31px;
    margin-left: 0;
  }
  .usercontrolimage img{
    width: 150px;
    height: 150px;
    margin: 0 auto;
  }
.usercontrolpanel-input {
    margin-top: 28px !important;
  }
  .usercontrolmenu {
    padding: 0;
  }

  .usercontrolpanel-input label{
    /*width: 40% !important;*/
     margin: 0 auto 10px auto;
         text-align: center;
  }

  .usercontrolpanel-input input.form-control {
    /*margin: 0 auto;*/
    width: 90% !important; 
    /*width: 90% !important;*/
  }
}

.usercontrolpanel-input input.form-control {
    /*margin: 0 auto;*/
    width: 60% !important; 
    /*width: 90% !important;*/
  }

.usercontrolmenu{
  margin-top: 66px;
}
.usercontrolmenu li{
  margin-bottom: 10px;
  list-style: none;
}

.usercontrolmenu li a .fa,
.usercontrolmenu li a .glyphicon,
.usercontrolmenu li a .icon
{
  margin-right: 10px;
  width: 15px;
}
  
.usercontrolpanel-input-container{
  margin-top: 10%;
}
.usercontrolpanel-input{
  /*margin-top: 81px;*/
  margin-top: 5px;
  margin-bottom: 6px;
}

.usercontrolpanel-input label,
.usercontrolpanel-input input[type=text]{
  display: block;
}

.usercontrolpanel-input input[type=text]{
   width: 90%;
  height: 36px;
  padding: 10px 5px;
}

.usercontrolsubmit{
  text-align: center;
  margin: 20px auto;
  display: block !important;
  background: #e58900;
}
@media(max-width: 991px){
  .usercontrolpanel-input input.form-control {
    /*margin: 0 auto;*/
    width: 90% !important;
    display: block;
    margin: 0 auto;
    /*width: 90% !important;*/
  }

  .usercontrolmenu {
    margin-left: 40%;
    margin-bottom: 20px;
  }
}
/*Reply COntrols
```
<div class="reply-controls">
  <div class="reply-controls__checkbox">
    <input type="checkbox" id="selectall" name="selectall" class="checkbox-for-message" />
    <label for="selectall"><span></span></label>
  </div>
  <div class="reply-controls_group two titled">
    <a href="" class="btn"><i class="fa fa-trash"></i> Remove</a>
    <a href="" class="btn"><i class="fa fa-plus-circle"></i> Add New</a>
  </div>
</div>
```

*/
.reply-controls--fullwidth{
  text-align: left;
  border: 2px solid #cdcdcd;
  border-radius: 5px;
  margin-bottom: 8px;
}

.reply-controls{
    padding: 0 0 0 9px;
    background: rgb(254,254,254); /* Old browsers */
background: -moz-linear-gradient(top,  rgba(254,254,254,1) 0%, rgba(241,241,241,1) 54%, rgba(229,229,229,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(254,254,254,1)), color-stop(54%,rgba(241,241,241,1)), color-stop(100%,rgba(229,229,229,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* IE10+ */
background: linear-gradient(to bottom,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fefefe', endColorstr='#e5e5e5',GradientType=0 ); /* IE6-9 */
  -webkit-border-top-left-radius: 5px;
  -webkit-border-top-right-radius: 5px;
  -moz-border-radius-topleft: 5px;
  -moz-border-radius-topright: 5px;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

.reply-controls__checkbox{
  display: inline-block;
  float: left;
  margin-top: 9px;
}
.reply-controls_group{
  display: inline-block;
  width: 80%;
}

.reply-controls_group a{
  display: inline-block;
  float: left;
  font-size: 30px;
  width: 25%;
}

.reply-controls_group.four a{
  width: 25%;
}
.reply-controls_group.two a{
  width: 45%;
}
.reply-controls_group.three a{
  width: 33.33%;
}

.reply-controls_group.titled a{
  font-size: 12px;
  vertical-align: super;
  color:#1a6892;
}

.reply-controls_group a.btn{
  padding: 6px 3px;
}

.reply-controls_group.titled a .fa,
.reply-controls_group.titled a .icon,
.reply-controls_group.titled a .glyphicon{
  font-size: 20px;
  vertical-align: bottom;
  margin-right: 4px;
}


.chat-id{
  font-size: 12px;
  margin-right: 10px;
}


/*Profile details
```
<div class="profile-details"> 
<h1 class="profile-details__name">john, doe</h1>

<dl class="profile-details__details">
  <dt>email address</dt>
  <dd>
    <span class="profile-details-details__label">home</span>
    <span class="profile-details-details__content">
      <input type="text" value="asdfasdf@asdf.com">
    </span>
  </dd>
  <dd>
    <span class="profile-details-details__label">home</span>
    <span class="profile-details-details__content">
      <input type="text" value="asdfasdf@asdf.com">
    </span>
  </dd>
  <dd>
    <span class="profile-details-details__label">home</span>
    <span class="profile-details-details__content">
      <input type="text" value="asdfasdf@asdf.com">
    </span>
  </dd>
</dl>

<dl class="profile-details__details">
  <dt>Contact Number</dt>
  <dd>
    <span class="profile-details-details__label">home</span>
    <span class="profile-details-details__content">
      <input type="text" value="123123234">
    </span>
  </dd>
  <dd>
    <span class="profile-details-details__label">home</span>
    <span class="profile-details-details__content">
      <input type="text" value="123123234">
    </span>
  </dd>
  <dd>
    <span class="profile-details-details__label">home</span>
    <span class="profile-details-details__content">
      <input type="text" value="123123234">
    </span>
  </dd>
</dl>
</div>
```
*/

.profile-details{
  margin: 0;
  padding:0;
  background: #fff;
  padding: 10px 10px;
  height: 330px;
  max-height: 330px;
  overflow: auto;
  border: 1px solid #bcbcbc;
}

.profile-details__name{
  text-transform: capitalize;
  margin-bottom: 25px;
  font-size: 21px;
  font-weight: 100;
}
.profile-details__details {
  margin-bottom: 23px;
}
.profile-details__details dt{
  text-transform: capitalize;
  font-weight: 100;
  margin-bottom: 10px;
  font-size: 18px;
}
.profile-details__details dd{
  font-size: 16px;
  margin: 0 0 10px 0
}

.profile-details-details__label{
  color: #999999;
  /* margin-right: 33px; */
  /*text-transform: capitalize;*/
  display:block;
  margin-bottom: 13px !important;
}
.profile-details-details__content{
  color:#1A6892;
}

.profile-details-details__content input{
  height: 35px;
  padding:5px 15px;
  color: #000;
  width: 76%;
}
@media(max-width: 359px){
  .profile-details-details__content input{
    width: 100%;
  }
}


/*how-to
```
```
*/
.how-to{
  display: block;
  margin: 0px auto;
  padding: 10px 20px;
}

.how-to__search{
    width: 61%;
  display: block;
  margin: 20px auto;
  padding: 24px 45px;
  background-color: #4c8fbc;
  border-radius: 5px;
}

.how-to__search h1{
    text-align: center;
  color: #ffffff;
  font-size: 20px;
  margin: 0 0 15px 0;
}

.how-to__results h1{
  font-size: 20px;
}

.how-to__results a{
  display: block;
  border-bottom: 1px solid #cccccc;
  margin: 15px 0;
}

.how-to__results a p{
  color:#333333; 

}


.panel-group--costumized .panel-title{
  color: #4c8fbc;
}

.panel-group--costumized .panel-title .fa,
.panel-group--costumized .panel-title .glyphicon{
  float:right;
}


/* system-info 
```
<div class="system-info">
  <div class="system-info__header">
      <img src="assets/images/crewcommlogo-black.png" class="img-responsive" style="margin:0 auto">
  </div>
  <hr>
  <div class="system-info__contents">
    <p>Lorem ipsum dolor sit amet.</p>
    <p>Lorem ipsum dolor sit amet.</p>
    <p>Lorem ipsum dolor sit amet.</p>
    <p>Lorem ipsum dolor sit amet.</p>
  </div>
</div>
```
*/

.system-info{
  padding: 15px 20px;
}

.system-info__contents{
    width: 85%;
    display: block;
    margin: 0 auto;
    padding: 6px 0 42px 0;
}
.system-info__contents p{
  color:#333333;
  padding:1px 10px;
}
.system-info__header img{
  height: 113px;
}

/*
internet-loading-container
```
<div id="internet-loading-container" class="internet-loading-container">
  <div class="internet-loading-logo">
    <i class="fa fa-globe fa-spin"></i>
  </div>
  <div class="internet-loading-content">
    <p class="internet-loading-title">Activating Internet Connection</p>
    <p class="internet-loading-subtitle">Please wait.</p>
  </div>
</div>
```
*/
#internet-loading-container{
  display:none;
}

.internet-loading-container{
  background:#f1f1f1;
  display:block;
  width:320px;
  border-radius:8px;
  border:2px solid #a4a4a4;
  padding:0;
  overflow: hidden;
}

.internet-loading-container .internet-loading-logo,
.internet-loading-container .internet-loading-content{
  display:inline-block;
  float:left;
}

.internet-loading-container .internet-loading-logo{
  width: 60px;
  text-align: center;
  font-size: 40px;
  border-right: 2px solid #a4a4a4;
  margin: 0;
  background: #e3e3e3;
  height: 60px;
  padding: 19px 0px 0 0;
}

.internet-loading-container .internet-loading-logo .fa{
  margin:-10px;
}

.internet-loading-container .internet-loading-content{
  text-align:center;
  width:80%;
  padding:7px 0 0 0;
}

.internet-loading-container .internet-loading-content p{
  margin:0;
  padding:0;
  line-height:15px
}
.internet-loading-title{
  font-weight:bold
}
.internet-loading-subtitle{
  font-size:11px
}

/*internet activated*/
.internet-loading-container.internet-activated{
  background:#87c68a;
  border: 2px solid #3c8244;
}
.internet-loading-container.internet-activated .internet-loading-logo{
  border-right:2px solid #3c8244;
  background:#5faf6c;
}
.internet-loading-container.internet-activated .internet-loading-title,
.internet-loading-container.internet-activated .internet-loading-subtitle{
  color: #ffffff;
}

.internet-loading-container.internet-activated .internet-loading-content p{
  margin-top: 7px;
}

/*
Panel Title Logo
*/
.panel-title-logo,.ptl{
  color: #ff9900;
  font-size: 23px;
  vertical-align: sub;
  margin-right: 6px;
  width: 30px;
  /*height: 25px;*/
}
img.panel-title-logo, img.ptl{
  vertical-align: middle;
}

/**/

.credit-count-container{
  display:block;
  width:50%;
  margin: 10% auto 0 auto;
  text-align:center;
  border:2px solid #bcbcbc;
  padding:30px 50px;
  background:#e8e9ea;
}
.credit-count-information-container{
  padding:10px 24px;
}

.credit-count-information-container .information .fa{
  color:#1a6892;
}

.credit-count-container .credit-count,
.credit-count-container .credit-add{
  width:170px;
}

.credit-count-container .credit-count{
  padding: 5px 20px;
  border-radius:5px;
  border:2px solid #bcbcbc;
  background:#d1d1d1;
  text-align:center;
  font-size:30px;
  font-weight:bold;
}
.credit-count-container .credit-add{
    text-align: center;
    margin: 20px auto;
    border: 1px solid #d37120;
    padding: 10px 20px;
    color: #ffffff;
    font-size: 14px;
    display: block !important;
    background: #f59300;
    border-radius: 5px;
}




/*activating internet*/
.activating-internet:hover{
  cursor: move;
}
.activating-internet{
  background:#e3e3e3;
  display:inline-block;
  border-radius:5px;
  display: none;
  left: 40%;
  top: 20%;
  padding-bottom: 10px;
  position: absolute;
    width: 326px;
    border: 1px solid #333;
}
.activating-internet__content{
  width:300px;
  border:2px solid #bcbcbc;
  padding:40px 60px 20px 20px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  background:#f1f1f1;
  margin:15px;
}


.activating-internet__header{
  /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#4c5255+0,42494c+50,394043+100 */
background: rgb(76,82,85); /* Old browsers */
background: -moz-linear-gradient(top,  rgba(76,82,85,1) 0%, rgba(66,73,76,1) 50%, rgba(57,64,67,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(76,82,85,1)), color-stop(50%,rgba(66,73,76,1)), color-stop(100%,rgba(57,64,67,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  rgba(76,82,85,1) 0%,rgba(66,73,76,1) 50%,rgba(57,64,67,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  rgba(76,82,85,1) 0%,rgba(66,73,76,1) 50%,rgba(57,64,67,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  rgba(76,82,85,1) 0%,rgba(66,73,76,1) 50%,rgba(57,64,67,1) 100%); /* IE10+ */
background: linear-gradient(to bottom,  rgba(76,82,85,1) 0%,rgba(66,73,76,1) 50%,rgba(57,64,67,1) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#4c5255', endColorstr='#394043',GradientType=0 ); /* IE6-9 */
padding:5px;
font-size:15px;
color:#ffffff;
}

.activating-internet__header a {color: #ffffff}

.internet-connection-info__top input[type=text]{
  background: #d1d1d1;
  text-align: center;
}

.deactivate-btn:hover,
.btn-refresh:hover{
  cursor: pointer;
  text-decoration: none;
  color: #fff;
}

.deactivate-btn,
.btn-refresh{
  text-transform: capitalize;
  padding:10px 10px;
  display:inline-block;
  /*width: 100%;*/
  text-align:center;
  border-radius:5px;
  border:2px solid #4c8fbc;
  color:#ffffff;
}

.deactivate-btn.deactivate-btn--active{
  background: #d65b5b;
  border:2px solid #af3a3a;
}

.activating-internet__content .btn-refresh,
.activating-internet__content .internet-activate-deactivate-button
{
  width: 100%;
}

.deactivate-btn.deactivate-btn--active:hover{
  background:#af3a3a;
  color: #DDD;
}

.deactivate-btn.deactivate-btn--inactive,
.btn-refresh{
   /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#77accc+0,70a7ca+51,68a2c7+99 */
  background: rgb(119,172,204); /* Old browsers */
  background: -moz-linear-gradient(left,  rgba(119,172,204,1) 0%, rgba(112,167,202,1) 51%, rgba(104,162,199,1) 99%); /* FF3.6+ */
  background: -webkit-gradient(linear, left top, right top, color-stop(0%,rgba(119,172,204,1)), color-stop(51%,rgba(112,167,202,1)), color-stop(99%,rgba(104,162,199,1))); /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(left,  rgba(119,172,204,1) 0%,rgba(112,167,202,1) 51%,rgba(104,162,199,1) 99%); /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(left,  rgba(119,172,204,1) 0%,rgba(112,167,202,1) 51%,rgba(104,162,199,1) 99%); /* Opera 11.10+ */
  background: -ms-linear-gradient(left,  rgba(119,172,204,1) 0%,rgba(112,167,202,1) 51%,rgba(104,162,199,1) 99%); /* IE10+ */
  background: linear-gradient(to right,  rgba(119,172,204,1) 0%,rgba(112,167,202,1) 51%,rgba(104,162,199,1) 99%); /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#77accc', endColorstr='#68a2c7',GradientType=1 ); /* IE6-9 */

}
.deactivate-btn--active:before{
  content: "Deactivate"
}
.deactivate-btn--inactive:before{
  content: "Activate"
}
.deactivate-btn.deactivate-btn--inactive:hover,
.btn-refresh:hover{
  
   background: #4294c5; 
}



/*chat BG*/
#viber .chat-login{
  background: #f1f1f1 url('<?php echo $GLOBALS["linkPath"]?>images/bg/viber.png') no-repeat;
  background-size: 150px 150px;
  background-position: 98% 88%;
}
#whatsapp .chat-login{
  background: #f1f1f1 url('<?php echo $GLOBALS["linkPath"]?>images/bg/whatsapp.png') no-repeat;
  background-size: 147px 149px;
  background-position: 102% 123%;
}
#yahoo .chat-login{
  background: #f1f1f1 url('<?php echo $GLOBALS["linkPath"]?>images/bg/yahoo5.png') no-repeat;
  background-size: 134px 138px;
  background-position: 97% 112%;
}

#qq .chat-login{
  background: #f1f1f1 url('<?php echo $GLOBALS["linkPath"]?>images/bg/qq.png') no-repeat;
  background-size: 177px 150px;
  background-position: 98% 88%;
}

#google .chat-login{
  background: #f1f1f1 url('<?php echo $GLOBALS["linkPath"]?>images/bg/google125.png') no-repeat;
  background-size: 125px 111px;
  background-position: 98% 98%;
}

#facebook .chat-login{
    background: #f1f1f1 url('<?php echo $GLOBALS["linkPath"]?>images/bg/fb.png') no-repeat;
    background-size: 166px 112px;
    background-position: 96% 88%;
}

#wechat .chat-login{
    background: #f1f1f1 url('<?php echo $GLOBALS["linkPath"]?>images/bg/wechat.png') no-repeat;
    background-size: 170px 146px;
    background-position: 95% 100%;
}
#skype .chat-login{
    background: #f1f1f1 url('<?php echo $GLOBALS["linkPath"]?>images/bg/skype.png') no-repeat;
    background-size: 110px 106px;
    background-position: 97% 92%;
}
#twitter .chat-login{
    background: #f1f1f1 url('<?php echo $GLOBALS["linkPath"]?>images/bg/twitter.png') no-repeat;
    background-size: 118px 116px;
    background-position: 98% 98%;
}
/*Dropzone upload*/
.dz-preview{
  position:relative;
  display:inline-block;
}
.dz-success-mark{
  display:inline-block;
  position:absolute;
  top:0;
  display:none !important;
}
.dz-image{}
.dz-image img{
    width: 93px;
    height: 84px;
}
.dz-error-mark{
  display:inline-block;
  position:absolute;
  top:-4px;
  left:0;
  font-size:16px
}
.dz-error-mark{
  display:inline-block;
  position:absolute;
  top:0px;
  left:4px;
  font-size:20px;
  color:#DDD;
  text-shadow: 2px 2px 2px rgba(0, 0, 0, 5);
  cursor:pointer;
}
.dz-details,
.dz-error-message{
  /*display:none;*/
}

.dz-progress .progress{
  height: 9px;
  border-radius: 0;
  display:none;
}

.input-group-addon__custom {
    background: #eeeeee none repeat scroll 0 0 !important;
    border-left: 1px solid #e3e3e3 !important;
    font-size: 25px !important;
    width: 100px;
}
.email_input_form_contacts-add-user {
    visibility: hidden;
    cursor: pointer;
}

#selectfriendlist{

}
#selectfriendlist .text{
margin: 52px 0 0 0;
    text-align: center;
    font-size: 24px;
    color: #8E8E8E;
}
#selectfriendlist .image{
    background: transparent url('<?php echo $GLOBALS["linkPath"]?>images/onlineselect.png') no-repeat;
    background-size: 155px 156px;
    height: 300px;
    background-position: 50% 50%;
}

/* ImageCROP */

.imageBox .spinner{
  line-height: 252px !important;
  padding: 0 0 0 59px;
}

.imgcropcontainer .action input[type=file]{
  width: 209px;
}

@media(max-width: 768px){
  .blockUI.blockMsg.blockElement{
    top:0 !important;
  }

  .message-body{
    height: 100%;
    min-height: auto !important;
    max-height: none !important;
  }
}

.dz-image {
    display: none;
}
.dz-preview {
    position: relative;
    display: inline-block;
    border: 1px solid #ccc;
    padding: 4px;
    background: #3f769c;
    border-radius: 5px;
    color: #FFF;
}

.dz-error-mark {
    right: 4px !important;
    top: 0px;
    text-align: right;
}