#!/usr/bin/php-cgi
<?php
	include("topinsert.php");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<title><?php echo $dTitle; ?></title>
	<link rel="stylesheet" type="text/css" href="<?php echo $GLOBALS['vendorsPath']; ?>vendors/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="<?php echo $GLOBALS['vendorsPath']; ?>vendors/fontawesome/css/font-awesome.min.css">
    <?php include $GLOBALS['assetsPath']."css/style.php"; ?>
    <!-- <meta name="viewport" content="width=device-width, initial-scale=1"> -->
	<meta name='viewport' content="width=device-width, maximum-scale=1.0, minimum-scale=1.0, initial-scale=1.0" />
    
<?php include "funcjs.php"; ?>
</head>
<body>
		<div id="wrapper" style="background-color:#E8E9EA">
			<!-- wrapper -->
			<!-- Sidebar -->
			<?php include('sidebar.php'); ?>
        <!-- /#sidebar-wrapper -->

        <div id="page-content-wrapper">
				<!-- Header -->
				<nav>
					<?php 
						//@function at sidebar.php
						//@param1 name of page
						//@param2 search icon class name
						echo page_title('Announcements');
					?>
				</nav>
				<!-- Header -->
				
				<div class="clearfix"></div>
				<!-- COntent/container -->
				<div class="row-fluid">
					<div class="search-container">
						<input>
					</div>
					<div class="js-auto-height background--gray">
						<div class="internet-container">
							<div class="internet-connection-info">
								<div style="height:8"></div>
								<div class="news-listings" style="padding-bottom: 15px;">
									<ul class="message-preview">
                                        <li id="loading-message" style="text-align:center"><i class="fa fa-spinner fa-spin"></i> Retrieving Announcements</li>
                                    </ul>
								</div>
							</div>
						</div>
					</div>
					<div class="clearfix"></div>
				</div>
				<!-- COntent/container -->

			</div><!--#page content wrapper -->
		</div><!--#Wrapper -->

<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>vendors/jquery/jquery.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>vendors/jquery/jquery.mobile.custom.min.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>vendors/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>js/jquery.base64.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>js/main.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['vendorsPath']; ?>js/nav.js"></script>

<?php include "loading.php"; ?>
<?php include "newsfull.php"; ?>
</body>
</html>
<script>
var newscnt = 0;
var newsArr = Array();

function getAnnouncements() {
	
	//Check if current news items are in local storage
	var newsdate = '1'; newscnt = 0;
	var timeToExpire	   = getLocalStorage('timeAnnounceRefresh');
	var storedResponse	   = null;
	if(timeToExpire !== null)
	{
		if(timeToExpire < (new Date()).getTime())
		{			
			var newExpire = (new Date()).getTime() + 10000;
			setLocalStorage( 'timeAnnounceRefresh' , newExpire );
		}else{			
			storedResponse = getLocalStorage('InNews' + newsdate);	
		}
	}else{
		var newExpire = (new Date()).getTime() + 10000;
		setLocalStorage( 'timeAnnounceRefresh',newExpire );
	}
	if ((typeof storedResponse === 'object') && (storedResponse !== null)) {
		newscnt = processFleetAnn(storedResponse);
	}
	if (newscnt == 0) {
		//Request fleet announcements first
		var noerror = true;
		//var dhost = host + 'api/rest/requestnews';
		//var dhost = host.replace('[CHANGEIP]', checkServerConnection()) + 'api/rest/requestnews';
		
		var ssip = checkServerConnection();
		var dhost = linksysHost + "?csipadd="+ssip+"&act=getLoginHeadlines";
		
		var requestapi;
		requestapi = $.ajax({
			url: dhost,
			type: "post",
			data: {
				macid: '<?php echo $GLOBALS['MACID']; ?>',
				api_key: '<?php echo $GLOBALS['APIKEY']; ?>',
				newsfname: 'InNews' + newsdate,
				newsdate: newsdate,
				newslogin: "0",
				newsid: "",
				newsheader: "",
				newscountry: "",
				newscategory: ""<?php echo urladdparams(); ?>+""+getSession()
			},
			timeout: 30000
		});
		
		requestapi.done(function (response, textStatus, jqXHR){
			if (noerror) {
				
				if ((typeof response === 'object') && (response !== null)) {
					setLocalStorage('InNews' + newsdate, response);
				}
				
				processFleetAnn(response);
				
			}
		});
	
		requestapi.fail(function (jqXHR, textStatus, errorThrown){
			noerror = false;
			
			$('div.news-listings').empty();
			disp = '<ul class="message-preview">';
			disp += '<li id="loading-message" style="text-align:center">There was a problem retrieving the Announcements, please try again.</li>';
			disp += '</ul>';
			$('div.news-listings').append(
				disp
			);
		});
	
		requestapi.always(function () {
			requestapi = null;
		});
		//Request fleet announcements first
	
	}
	
}

function processFleetAnn(response) {
	response.sort(function(a,b){
	 	return new Date(b.FleetNewsDate) - new Date(a.FleetNewsDate);
	});	
	newscnt = 0;
	newsArr = null;
	newsArr = Array();
	newsArr = [];
	
	$('div.news-listings').empty();
	
	try {
							
		var dtitle = "";
		var dbody = "";
		var ddate = "";
		var did = "";
		var disp = "";
		
		$.each(response, function (index, value) {
			dtitle = "";
			dbody = "";
			ddate = "";
			disp = "";
			
			try {
				
				$.each(value, function (dindex, dvalue) {
					if ((dvalue == 'null') || (dvalue == null) || (dvalue.length == 0) || (dvalue.toLowerCase() == 'undefined')) {dvalue = "&nbsp;";}
					
					if (dvalue == '&nbsp;') {dvalue = "";}
					
					try {
						switch(dindex.toUpperCase()) {
							case "FLEETNEWSTITLE":
								dtitle = dvalue;
								break;
							case "FLEETNEWSBODY":
								dbody = dvalue;
								break;
							case "FLEETNEWSDATE":
								ddate = dvalue;
								break;
							case "FLEETNEWSID":
								did = dvalue;
								break;
						}
					} catch(e) {}
				});
			} catch (e) {}
			
			if ((dtitle + dbody).length > 0) {
				disp = '<a href="javascript:;" onClick="showMessage(\'' + newscnt + '\',\'' + did + '\')">';
				disp += '<h1 class="news-listings__title">' + Base64.decode(dtitle) + '</h1>';
				disp += '<p class="news-listings__date">' + ddate + '</p>';
				disp += '<p class="news-listings__content">' + ( replaceAll( Base64.decode(dbody), "\n", "<BR>") ).substr(0,50) + '...</p>';
				disp += '</a>';
				
				var itmarr = Array();
				itmarr[0] = did;
				itmarr[1] = dtitle;
				itmarr[2] = ddate;
				itmarr[3] = replaceAll( Base64.decode(dbody), "\n", "<BR>");
				newsArr.push(itmarr);
				
				newscnt++;
				
				$('div.news-listings').append(
					disp
				);
			}
		});
	
	} catch (e) {
		newscnt = 0;
	}

	if (newscnt == 0) {
		$('div.news-listings').empty();
		disp = '<ul class="message-preview">';
		disp += '<li id="loading-message" style="text-align:center">No announcements available.</li>';
		disp += '</ul>';
		$('div.news-listings').append(
			disp
		);
	}
	
	return newscnt;
}

var newsIsLoading = false;
function showMessage(idx, id) {
	newsIsLoading = true;
	
	currId = parseInt(idx);
	
	showMessageMessageDisp('');
	
	if (newsArr[currId][3].length > 0) {
		$("#msgdtitle").html(Base64.decode(newsArr[currId][1]));
		$("#msgddate").hide();
		$("#msgdbody").html(replaceAll( newsArr[currId][3], "\n", "<BR>"));
	}
	
	var newsdate = '1';
	var ret = 0;
	var storedResponse = getLocalStorage('InNewsItm' + newsdate + id);
	if ((typeof storedResponse === 'object') && (storedResponse !== null)) {
		ret = processNewsMessage(storedResponse);
	}
	if (ret == 0) {
		$("#loadingnewsmsg").html("Loading announcement body, please wait.");
		$("#newmsgLoadingholder").fadeIn(500);
		
		//Request fleet announcements first
		var noerror = true;
		//var dhost = host + 'api/rest/requestnews';
		//var dhost = host.replace('[CHANGEIP]', checkServerConnection()) + 'api/rest/requestnews';
		
		var ssip = checkServerConnection();
		var dhost = linksysHost + "?csipadd="+ssip+"&act=getLoginHeadlines";
		
		var requestapi;
		requestapi = $.ajax({
			url: dhost,
			type: "post",
			data: {
				macid: '<?php echo $GLOBALS['MACID']; ?>',
				api_key: '<?php echo $GLOBALS['APIKEY']; ?>',
				newsfname: 'InNewsItm' + newsdate + id,
				newsdate: newsdate,
				newslogin: "3",
				newsid: id,
				newsheader: "",
				newscountry: "",
				newscategory: ""<?php echo urladdparams(); ?>+""+getSession()
			},
			timeout: 30000
		});
		
		requestapi.done(function (response, textStatus, jqXHR){
			if (noerror) {
				
				if ((typeof response === 'object') && (response !== null)) {
					setLocalStorage('InNewsItm' + newsdate + id, response);
				}
				
				processNewsMessage(response);
				
			}
		});
	
		requestapi.fail(function (jqXHR, textStatus, errorThrown){
			noerror = false;
			
			//$("#spinnerloading").hide();
			$("#loadingnewsmsg").html("Error loading news body.");
			$("#newmsgLoadingholder").fadeOut(1000);
		});
	
		requestapi.always(function () {
			requestapi = null;
		});
		//Request fleet announcements first
	
	}
}

function processNewsMessage(response) {
	var msgCnt = 0;
	
	try {
							
		var dtitle = "";
		var dbody = "";
		var ddate = "";
		var did = "";
		var disp = "";
		
		$.each(response, function (index, value) {
			dtitle = "";
			dbody = "";
			ddate = "";
			disp = "";
			
			try {
				
				$.each(value, function (dindex, dvalue) {
					if ((dvalue == 'null') || (dvalue == null) || (dvalue.length == 0) || (dvalue.toLowerCase() == 'undefined')) {dvalue = "&nbsp;";}
					
					if (dvalue == '&nbsp;') {dvalue = "";}
					
					try {
						switch(dindex.toUpperCase()) {
							case "FLEETNEWSTITLE":
								dtitle = dvalue;
								break;
							case "FLEETNEWSBODY":
								dbody = dvalue;
								break;
							case "FLEETNEWSDATE":
								ddate = dvalue;
								break;
							case "FLEETNEWSID":
								did = dvalue;
								break;
						}
					} catch(e) {}
				});
			} catch (e) {}
			
			if (dbody.length > 0) {
				$("#msgdtitle").html(Base64.decode(newsArr[currId][1]));
				$("#msgddate").html(newsArr[currId][2]);
				$("#msgdbody").html("&nbsp;");
				$("#msgdbody").html(replaceAll( Base64.decode(dbody), "\n", "<BR>"));
				
				$("#newmsgLoadingholder").fadeOut(500);
				
				msgCnt++;
			} else {
				$("#loadingnewsmsg").html("Error loading announcement body.");
				$("#newmsgLoadingholder").fadeOut(1000);
			}
			
			$("#msgdbody").focus();
		});
	
	} catch (e) {
		msgCnt = 0;
	}

	if (msgCnt == 0) {
		$("#loadingnewsmsg").html("Error loading announcement body.");
		$("#newmsgLoadingholder").fadeOut(1000);
	}
	
	//msgCnt = 0; //TEMP ONLY
	newsIsLoading = false;
	
	return msgCnt;
}

$(document).ready(function(){
	getAnnouncements();
});
</script>
<?php include "foot.php"; ?>
