<?php
	error_reporting(0);
	
	include("globals.php");
	
	if ($GLOBALS['isprod']) {
		$GLOBALS['fwloc'] = "/etc/firmwareversion";

		$GLOBALS['fwversion'] = "/etc/version";
		$GLOBALS['sdversion'] = "/wxa/version";
	} else {
		$GLOBALS['fwloc'] = "../firmwareversion";
		
		$ishome= true;
	}
	function getFWVersion() {
		$iniFile = $GLOBALS['fwloc'];
		if (is_file($iniFile)) {
			//Do nothing... File already exists
		} else {
			//Try to create
			$fh = fopen($iniFile, 'w+');
			fclose($fh);
		}
		$filecontent = file_get_contents($iniFile);
		$filecontent = trim($filecontent);
		
		if (strlen($filecontent) == 0) {
			$filecontent = _getFWVersion();
		}
		
		return $filecontent;
	}

	function _getFWVersion(){
		$firmware = @file_get_contents($GLOBALS['fwversion']);
		$firmware = trim($firmware);

		$sdcard = @file_get_contents($GLOBALS['sdversion']);
		$sdcard = trim($sdcard);

		$version = trim('Firmware Version: '.$firmware.'<br>SD Version: '.$sdcard);
		return strlen($$firmware) >= 1 || strlen($sdcard) >= 1? $version : 'Firmwave version not found.';
	}
	
	$linksys = true;
	include("/www/cgi-bin/d/functionscompact.php");
	
	/*function getVesselVersion() {
		$iniFile = $GLOBALS['versionConf'];
		if (is_file($iniFile)) {
			//Do nothing... File already exists
		} else {
			//Try to create
			$fh = fopen($iniFile, 'w+');
			fclose($fh);
		}
		$filecontent = file_get_contents($iniFile);
		
		//PARSE FILE!!!
		$filecontent = explode("[DSEP]", $filecontent);
		
		$msg = $filecontent[1];
		$msg = str_replace("[", "", $msg);
		$msg = str_replace("{", "", $msg);
		$msg = str_replace("}", "", $msg);
		$msg = str_replace("]", "", $msg);
		$msg = str_replace("]", "", $msg);
		$msg = str_replace('"', '', $msg);
		
		$arr_ret = array();
		if (strlen($msg) > 0) {
			$arr_json = explode(",", $msg);
		
			for ($i=0; $i<count($arr_json); $i++) {
				$arr_inner = explode(":", $arr_json[$i], 2);
				switch($arr_inner[0]) {
					case 'vessel_webshipserverversion':
						$sserv = $arr_inner[1];
						break;
				}
			}
		
		} else {
			
			$sserv = "8";
			
		}
		
		return $sserv;
	}
	
	$sserv = getVesselVersion();*/
	
	$sserv = $GLOBALS['arr_vesver']['vessel_webshipserverversion'];
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>CrewCommCenter Vessel System Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style>
body
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	
	background: url(<?php echo $GLOBALS['plugFilePath']; ?>/img/bg1.png) no-repeat; 
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
}

div, table, tr, td
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
}

#detailTables{
	position:absolute; left: 50%; top: 20%; width: 800px;
    margin-left: -275px;
}

#shipconfig{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
}

#firmwareversion{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
}

#mainmediaviewmm{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 250px;
    margin-left: -545px;
}

input { 
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	padding: 4px;
}

#cccline{
	margin: 0;
  	display: inline-block;
    position: absolute;
    top: 10%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 270px;
    vertical-align:top;
    -webkit-background-size: cover;
}

#ccctext{
	-webkit-background-size: cover;
	margin: 0;
  display: inline-block;
    position: absolute;
    top: 14%;
    left: 49.5%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 300px;
    vertical-align:top;
}

a:link {
    color: #000000;
	text-decoration: none;
}
a:visited {
    color: #000000;
	text-decoration: none;
}
a:hover {
    color: #00F;
	text-decoration: none;
}
a:active {
    color: #000000;
	text-decoration: none;
}


.table-bordered table, .table-bordered td, .table-bordered tr {
    text-align: left;
}
.table-bordered table {
    border-collapse: collapse;
    width: 100%;
}
.table-bordered tr, .table-bordered td {
    padding: 5px;
}
.table-bordered td {
    border-bottom: 1px solid #ccc;
	border-left: 1px solid #ccc;
    padding: 5px;
}
</style>
<script type="text/javascript" src="<?php echo $GLOBALS['plugFilePath']; ?>/script/jquery.min.js"></script>
<script language="javascript">
var hasLocalStorageSupport = false;

if (typeof(Storage) !== "undefined") {
    hasLocalStorageSupport = true;
} else {
    // Sorry! No Web Storage support..
}

function pad(n, width, z) {
	z = z || '0';
	n = n + '';
	return n.length >= width ? n : new Array(width - n.length + 1).join(z) + n;
}

function getLocalStorage(key) {
	if (hasLocalStorageSupport) {
		var retrievedObject = localStorage.getItem(key);
		
		if (retrievedObject === null) {
			return "";
		} else {
			try {
				var jOBJ = JSON.parse(retrievedObject);
				var retObj = "";
				$.each(jOBJ, function(index, val) {
					if (index == "data") {
						retObj = val;
					}
				});
				return retObj;
			} catch (e) {
				return "";
			}
		}
	} else {
		return "";
	}
}

function setLocalStorage(key, value) {
	//REMOVE OLD WORLD NEWS ITEMS 5days!
	if (hasLocalStorageSupport) {
		var dataToSave = {
			data: value,
			expirationTime: (Date.now())
		};
	
		try {
			localStorage.setItem(key, JSON.stringify(dataToSave)); /*value*/
		} catch (e) {
			var retry = 0; var faild = true;
			while(faild) {
				makeLocalStoreRoom();
				try {
					localStorage.setItem(key, JSON.stringify(dataToSave));
					faild = false;
				} catch (e) {}
				retry++;
				if (retry > 100) {faild = false;}
			}
		}
	}
}

function getDateMMDDYYYY(x) { //x is days to subtract
	var today = new Date(); // today!
	today.setDate(today.getDate() - x);
	
	var dd = pad(today.getDate(), 2, "0");
	var mm = pad(today.getMonth()+1, 2, "0"); //January is 0!
	var yyyy = today.getFullYear();
	
	return yyyy + "" + mm + "" + dd;
}

function getVesselConfig() {
	ddata = {macid: '<?php echo $macid; ?>'};
	//, api_key: '<?php //echo $GLOBALS['APIKEY']; ?>'<?php //echo urladdparams(); ?>+""+getSession()
	
	/*var storedResponse = getLocalStorage('VesselConfig');
	if ((typeof storedResponse === 'object') && (storedResponse !== null)) {
		vesselinfo.get();
		
		//return storedResponse;
	} else {*/
	
		var noerror = true;
		//var dhost = '<?php echo $GLOBALS['SERVERURL']; ?>' + 'api/rest/getshipconfig';
		var dhost = "<?php echo $GLOBALS['LOCALSERVER']; ?>?csipadd=<?php echo $_SESSION['SERVERURLFOUND']; ?>&act=getVesselConfig";
		
		var requestapi;
		requestapi = $.ajax({
			url: dhost,
			type: "get",
			data: ddata, //{ macid: intermacid }
			timeout: 30000
		});
	
		requestapi.done(function (response, textStatus, jqXHR){
			if (noerror) {
				if ((typeof response === 'object') && (response !== null)) {
					setLocalStorage('VesselConfig', response);
				}
				
				vesselinfo.get();
				//return response;
			}
		});
	
		requestapi.fail(function (jqXHR, textStatus, errorThrown){
			noerror = false;
			if (textStatus=="timeout") {
				//alert('The request timed out. Please try again.');
			} else {
				//alert('An error has occurred. Please try again.');
			}
			//errorInetConnection = true;
		});
	
		requestapi.always(function () {
			requestapi = null;
		});
	//}
}

function getVesselSettings() {
	
	/*var storedResponse = getLocalStorage('VesselSettings');
	if ((typeof storedResponse === 'object') && (storedResponse !== null)) {
		processVesselSettings(storedResponse);
	} else {*/
	
		ddata = {macid: '<?php echo $macid; ?>'};
		var noerror = true;
		//var dhost = '<?php echo $GLOBALS['SERVERURL']; ?>' + 'api/rest/requestvesselinfo';
		var dhost = "<?php echo $GLOBALS['LOCALSERVER']; ?>?csipadd=<?php echo $_SESSION['SERVERURLFOUND']; ?>&act=getVesselSettings";
		
		var requestapi;
		requestapi = $.ajax({
			url: dhost,
			type: "post",
			data: ddata, //{ macid: intermacid }
			timeout: 30000
		});
		
		requestapi.done(function (response, textStatus, jqXHR){
			if (noerror) {
				if ((typeof response === 'object') && (response !== null)) {
					setLocalStorage('VesselSettings', response);
				}
				
				vesselinfo.get();
			}
		});
	
		requestapi.fail(function (jqXHR, textStatus, errorThrown){
			noerror = false;
			if (textStatus=="timeout") {
				//alert('The request timed out. Please try again.');
			} else {
				//alert('An error has occurred. Please try again.');
			}
		});
	
		requestapi.always(function () {
			requestapi = null;
		});
	
	//}
    
}

var dhost_info = '<?php echo $GLOBALS['SERVERURL']; ?>' + 'api/rest/';
var vesselinfo = function(){
	return{
		get:function(){

			function getCountryEditions() {
				var countries = getLocalStorage('newsEditions');
				if(typeof countries == "object" && countries !== null){
					//do nothing
				}else{
				
					var requestapi = $.ajax({
						url: dhost_info + 'requestnews',
						type: "post",
						data: {
							macid: '<?php echo $macid; ?>',
							//api_key: '<?php //echo $GLOBALS['APIKEY']; ?>',
							newsdate: getDateMMDDYYYY(1),
							newslogin: "4",
							newsid: "",
							newsheader: "1",
							newscountry: "",
							newscategory: ""
						}
					}); //<?php //echo urladdparams(); ?>+""+getSession()
				
				
					requestapi.done(function (response, textStatus, jqXHR){
						if(typeof response == "object"){
							var countries = $.map(response,function(x){
								return x.NewsCountry;
							});

							setLocalStorage('newsEditions',countries);
							$('.news-editions').text(countries);
						}
					});
				}


			}		
			getCountryEditions();

			var VesselConfig = getLocalStorage('VesselConfig');
			var VesselSettings = getLocalStorage('VesselSettings');
			var limitsTemplate = '',featuresTemplate = '';
			var current;
			// var VesselConfig = getLocalStorage('VesselConfig');

			$('.system-info-features').html('<p style="text-align:center"><i class="fa fa-spin fa-spinner"></i> Getting System Information</p>');
			$('.system-info-limits').html('<p style="text-align:center"><i class="fa fa-spin fa-spinner"></i></p>');
			// console.log(VesselConfig);

			// if(VesselConfig.length > 1){
			// 	current = VesselConfig[0];
			// }else{
			// 	current = VesselConfig;
			// }

			current = VesselConfig[0];
			vcurrent = VesselSettings[0];

			//console.log("VesselConfig: " + VesselConfig);

			if(current){
				
				var accessControlInfo= '<p style=\"font-size:14px;margin-bottom:0\">';
				<?php if ($GLOBALS['webbrowsing'] === true) { ?>
					accessControlInfo += "Internet access enabled</br>";
				<?php }//else{ ?>
					<?php if ($GLOBALS['opn_fb']) { ?>
						accessControlInfo += "FB Messenger &amp; Facebook</br>";
					<?php } ?>
					<?php if ($GLOBALS['opn_skyp']) { ?>
						accessControlInfo += "Skype</br>";
					<?php } ?>
					<?php if ($GLOBALS['opn_kakao']) { ?>
						accessControlInfo += "Kakao Talk</br>";
					<?php } ?>
					<?php if ($GLOBALS['opn_line']) { ?>
						accessControlInfo += "LINE</br>";
					<?php } ?>
					<?php if ($GLOBALS['opn_wechat']) { ?>
						accessControlInfo += "WeChat</br>";
					<?php } ?>
					<?php if ($GLOBALS['opn_whatsapp']) { ?>
						accessControlInfo += "WhatsApp</br>";
					<?php } ?>
					<?php if ($GLOBALS['opn_viber']) { ?>
						accessControlInfo += "Viber</br>";
					<?php } ?>
					<?php if ($GLOBALS['opn_smn']) { ?>
						accessControlInfo += "Se@MeNow messenger</br>";
					<?php } ?>
					<?php if ($GLOBALS['opn_hic']) { ?>
						accessControlInfo += "HiChat</br>";
					<?php } ?>
					
					<?php if ($GLOBALS['opn_insg']) { ?>
						accessControlInfo += "Instagram</br>";
					<?php } ?>
					<?php if ($GLOBALS['opn_twit']) { ?>
						accessControlInfo += "Twitter</br>";
					<?php } ?>
					<?php if ($GLOBALS['opn_yt']) { ?>
						accessControlInfo += "Youtube</br>";
					<?php } ?>
					<?php if ($GLOBALS['opn_sc']) { ?>
						accessControlInfo += "Snapchat</br>";
					<?php } ?>
				
					<?php if ($GLOBALS['opn_smn'] || $GLOBALS['opn_fb'] || $GLOBALS['opn_line'] || $GLOBALS['opn_wechat'] || $GLOBALS['opn_whatsapp'] || $GLOBALS['opn_viber'] || $GLOBALS['opn_hic'] || $GLOBALS['opn_insg'] || $GLOBALS['opn_twit'] || $GLOBALS['opn_yt'] || $GLOBALS['opn_sc']) {} else { ?>
				
					<?php } ?>
				<?php //} ?>
					accessControlInfo += "</p>";
				

				function formatBytes(bytes,decimals) {
				   if(bytes == 0) return '0 Kb';
				   var k = 1000; // or 1024 for binary
				   var dm = decimals + 1 || 3;
				   var sizes = ['bytes','KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];
				   var i = Math.floor(Math.log(bytes) / Math.log(k));
				   return parseFloat((bytes / Math.pow(k, i)).toFixed(dm)) + ' ' + sizes[i];
				}

				function bytesToKb(bytes) {
				   if(bytes == 0) return '0 Byte';
				   return Math.floor(bytes / 1024);
				}
				
				function kbToMb(bytes) {
				   if(bytes == 0) return '0 Byte';
				   return (bytes / 1024).toFixed(2);
				}
				function bytesToMb(bytes){
					if(isNaN(bytes)){
						return bytes;
					}
					 return (bytes/1024/1024).toFixed(1);
				}				
				
				var emailMax = current.server_maxcharmsgs;
				var numMsgs = current.server_maxnummsgs;
				var dailyMessageLimit = vcurrent.vessel_messagelimit == '0' || vcurrent.vessel_messagelimit == '999' || vcurrent.vessel_messagelimit == '99' ? 'unlimited messages' : vcurrent.vessel_messagelimit >= 2 ? vcurrent.vessel_messagelimit+' messages' : vcurrent.vessel_messagelimit+' message';
				/*Features*/
				var server_emailattachment = current.server_emailattachment == '1' ? 'Yes' : 'No';
				var email = current.server_services[0] == '1' ? 'E-Mail' : 'E-Mail';
				var news = current.server_services[1] == '1' ? 'World News' : '';
				var chat = current.server_services[2] == '1' ? 'Low Data Chat' : '';				
				var web = current.server_services[3] == '1' ? 'Internet Access' : '';
				var sms = current.server_services[4] == '1' ? 'SMS' : 'SMS';
				
				var websizeparsed = current.server_websize == ""  ? 0 : parseInt(current.server_websize);
				var webtimeparsed = current.server_webtime == ""  ? 0 : parseInt(current.server_webtime);
				var websizeStrParsed = websizeparsed == 0 && current.server_credittype == 0 ? 'unlimited' : 'limited';
				var webtimeStrParsed = webtimeparsed == 0 ? 'unlimited' : webtimeparsed;
				var webismnt = current.server_webismonthlyusagekb == 1 ? 'month' : 'day';
				var chatismnt = current.server_chatismonthlyusagekb == 1 ? 'month' : 'day';
				// var emailLimit = current.server_services[0] == '1' ? 'Sending E-mail is pre-paid.<br> Maximum of '+bytesToKb(emailMax)+' KB per message credit and a total of '+formatBytes(emailMax)+ ' per E-mail' : ' Sending E-mail is free.<br> Maximum of '+bytesToKb(emailMax)+' KB  per message credit and a total of '+formatBytes(emailMax)+ ' per E-mail';
				var emailLimit = current.server_services[0] == '1' ? 'Sending E-mail is pre-paid<br> Limit of '+formatBytes(emailMax)+' per message credit ' : ' Sending E-mail is free of charge<br> Limit of '+formatBytes(emailMax)+' per message credit ';
				// var smsLimit = current.server_services[4] == '1' ? 'Sending SMS is pre-paid.<br> Maximum of 150 Char per message credit and a total of 480 Char per SMS' : 'Sending SMS is free.<br> Maximum of 160 Char per message and a total of 480 Char per SMS';			
				var smsLimit = current.server_services[4] == '1' ? 'Sending SMS is pre-paid<br> Maximum of 150 characters per message credit' : 'Sending SMS is free of charge<br> Limit of 160 characters per message credit';			
				var webTime = current.server_webtime == 0 ? webtimeStrParsed +' minutes per '+ webismnt + '' : webtimeStrParsed +' minutes per '+ webismnt + '' ;
				var websize = current.server_websize == 0 ? websizeStrParsed +' MB' : kbToMb(websizeparsed) +' MB';
				var credittype = current.server_credittype == 0 ? 'Internet access is free of charge with a maximum usage of '+ websize +' and '+webTime+'' : 'Internet access is pre-paid, free of charge up to '+ websize+' and '+webTime+'';
				var maxEmail = " with a total of "+ formatBytes(emailMax * numMsgs) + " per E-mail";
				var maxSms = " with a total of "+ (160 * numMsgs) + " characters per SMS";				
				var webLimit = current.server_services[3] == '1' ? credittype : '';
				var dailyMsg = 'Maximum daily usage of '+dailyMessageLimit;
				var newsEditions = function(){
					var countries = getLocalStorage('newsEditions');
					if(countries == ""){
						return '<i class="fa fa-spinner fa-spin"></i>';
					}else{
						return countries.join(', ');
					}
				}
				var chat_time = current.server_chattime == 0 ? 'unlimited time' : (current.server_chattime * 60) + " minutes";
      			var chat_data = current.server_chatsize == 0 ? 'unlimited data' : bytesToMb(current.server_chatsize)+ " MB";
				/*				
					Limits
				  EMail
					Prepaid - Sending E-mail is charged 1 credit per {}
			          Free - Sending E-mail up to {}

			          SMS
			          Prepaid - Sending SMS is charged 1 credit per {}
			          Free - Sending SMS up to {}

			          News
			          Editions

					Internet Access
					Free Allowance {num} [per day|per month]
				*/
				var systemInfoTemplate = '';
				systemInfoTemplate +='<table class="table-bordered" style="width:100%" border="0" cellspacing="0" cellpadding="0">';
					systemInfoTemplate +='<tr>';
						systemInfoTemplate +='<td style="padding:10px 0; border-top: 1px solid #ccc;">';
						systemInfoTemplate +='<p style="margin:0;font-weight:bold;text-align:center;font-size: 16px;">Features<br></p>';
						systemInfoTemplate +='</td>';
						systemInfoTemplate +='<td style="padding:10px 0; border-top: 1px solid #ccc; border-right: 1px solid #ccc;">';
						systemInfoTemplate +='<p style="margin:0;font-weight:bold;text-align:center;font-size: 16px;">Limits<br></p>';
						systemInfoTemplate +='</td>';
					systemInfoTemplate +='</tr>';
				<?php if (($sserv == "9") || ($sserv == 9)) {} else { ?>
					systemInfoTemplate +='<tr>';
						systemInfoTemplate +='<td>';
						systemInfoTemplate +='<p style="margin:0;font-size: 14px;">'+ email +'</p>';
						systemInfoTemplate +='</td>';
						systemInfoTemplate +='<td style="border-right: 1px solid #ccc;">';
						systemInfoTemplate +='<p style="margin:0;font-size: 14px;">'+ emailLimit +' '+maxEmail+'<br>'+dailyMsg+'</p>';
						systemInfoTemplate +='</td>';
					systemInfoTemplate +='</tr>';
					systemInfoTemplate +='<tr>';
						systemInfoTemplate +='<td>';
						systemInfoTemplate +='<p style="margin:0;font-size: 14px;">'+ sms +'</p>';
						systemInfoTemplate +='</td>';
						systemInfoTemplate +='<td style="border-right: 1px solid #ccc;">';
						systemInfoTemplate +='<p style="margin:0;font-size: 14px;">'+ smsLimit +' '+maxSms+'<br>'+dailyMsg+'</p>';
						systemInfoTemplate +='</td>';
					systemInfoTemplate +='</tr>';
					if (current.server_services[1] == '1') {
						systemInfoTemplate +='<tr>';
							systemInfoTemplate +='<td>';
							systemInfoTemplate +='<p style="margin:0;font-size: 14px;">'+ news +'</p>';
							systemInfoTemplate +='</td>';
							systemInfoTemplate +='<td style="border-right: 1px solid #ccc;">';
							systemInfoTemplate +='<p style="margin:0;font-size: 14px;" class="news-editions">'+ newsEditions() +'</p>';
							systemInfoTemplate +='</td>';
						systemInfoTemplate +='</tr>';
					}
					systemInfoTemplate +='<tr>';
						systemInfoTemplate +='<td>';
						systemInfoTemplate +='<p style="margin:0;font-size: 14px;">Announcements</p>';
						systemInfoTemplate +='</td>';
						systemInfoTemplate +='<td style="border-right: 1px solid #ccc;">';
						systemInfoTemplate +='<p style="margin:0;font-size: 14px;">Viewing Announcements is free of charge</p>';
						systemInfoTemplate +='</td>';
					systemInfoTemplate +='</tr>';
					systemInfoTemplate +='<tr>';
						systemInfoTemplate +='<td>';
						systemInfoTemplate +='<p style="margin:0;font-size: 14px;">Vessel Media</p>';
						systemInfoTemplate +='</td>';
						systemInfoTemplate +='<td style="border-right: 1px solid #ccc;">';
						systemInfoTemplate +='<p style="margin:0;font-size: 14px;">Viewing Vessel Media is free of charge</p>';
						systemInfoTemplate +='</td>';
					systemInfoTemplate +='</tr>';
					
				<?php } ?>		
					
					if(web){
						systemInfoTemplate +='<tr>';
							systemInfoTemplate +='<td<?php //if (($sserv == "9") || ($sserv == 9)) {echo ' style="padding:10px 0; border-top: 1px solid #ccc;"';} ?>>';
							systemInfoTemplate +='<p style="margin:0;font-size: 14px;">'+ web +'</p>';
							systemInfoTemplate +='</td>';
							systemInfoTemplate +='<td style="border-right: 1px solid #ccc;<?php //if (($sserv == "9") || ($sserv == 9)) {echo ' border-top: 1px solid #ccc; border-right: 1px solid #ccc;';} ?>">';
								
							systemInfoTemplate +="<p style='margin:0;font-size: 14px;'>"+ webLimit +"</p>";
							<?php if (($sserv == "9") || ($sserv == 9)) {} else { ?>
							//systemInfoTemplate +="<p style='margin:0;font-size: 14px;'>"+ chat +"</p>";
							//systemInfoTemplate +="<p style='margin:0;font-size: 14px;'>Se@MeNow</p>";	
							<?php } ?>					
							systemInfoTemplate +='</td>';
						systemInfoTemplate +='</tr>';
					}				
	
					<?php if (($sserv == "9") || ($sserv == 9)) {} else { ?>
					systemInfoTemplate +='<tr>';
					systemInfoTemplate +='<td>';
					systemInfoTemplate +='<p style="margin:0;font-size: 14px;">Access Control</p>';
					systemInfoTemplate +='</td>';
					systemInfoTemplate +='<td>';												
							systemInfoTemplate += accessControlInfo ;	
							if(web){
								systemInfoTemplate +="<p style='margin:0;font-size: 14px;'>"+ chat +"</p>";
								<?php if($GLOBALS['webbrowsing']):?>
								systemInfoTemplate +="<p style='margin:0;font-size: 14px;'>Se@MeNow</p>";
								<?php endif;?>
							}							
					systemInfoTemplate +='</td>';
					systemInfoTemplate +='</tr>';
					
					if(web == "" && chat !== ""){
						systemInfoTemplate +='<tr>';
							systemInfoTemplate +='<td>';
							systemInfoTemplate +='<p style="margin:0;font-size: 14px;">Low Data Chat</p>';
							systemInfoTemplate +='</td>';
							systemInfoTemplate +='<td style="border-right: 1px solid #ccc;">';
							systemInfoTemplate +='<p style="margin:0;font-size: 14px;">Low Data chat usage upto '+chat_data+' and '+chat_time+' per '+chatismnt+'</p>';
							systemInfoTemplate +='</td>';
						systemInfoTemplate +='</tr>';	
					}
					<?php } ?>
					
				systemInfoTemplate +='</table>';


				setTimeout(function(){
					// $('.system-info-features').html( featuresTemplate );
					// $('.system-info-limits').html( limitsTemplate );
					$('.system-info__contents').html( systemInfoTemplate );
					//document.getElementById("firmwareversion").style.top = $('#shipconfig').offsetHeight + $("#shipconfig").offset().top + 'px';

				},300);
			}else{
				$('.system-info__contents').html('<p style="text-align:center"><i class="fa fa-exclamation-triangle"></i>&nbsp;&nbsp;Unable to retrieve System Information.</p>');
			}
		}
	}
}();
</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/cccline.png" id="cccline" width="280" height="40">
<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/ccctext.png" id="ccctext" >

<div id="detailTables">
<table width="800" id="shipconfig" border="0" cellspacing="0" cellpadding="8" align="center">
  <tr><td bgcolor="#464B4F" style="border-top-left-radius:10px;border-top-right-radius:10px;" colspan="2" align="center"><font color="#FFFFFF"><B>System Info</B></font></td></tr>
  <tr><td width="273" height="10" align="center"></td></tr>
  <tr><td colspan="2">
  <div class="system-info">
        <div class="system-info__contents">
          <div class="row-fluid">
            <div class="col-md-4">
              <div class="system-info-features" >
                <h5>Features :</h5>
                <!-- dynamic -->
              </div>
            </div>
            <div class="col-md-8">
              <div class="system-info-limits">
                <h5>Limits :</h5>
                <!-- dynamic -->
              </div>
            </div>
          </div>
        </div>
          
          <div class="clearfix"></div>
          <!-- dynamic -->
        
    </div>
  </td></tr>
  <tr><td height="10" align="center"></td></tr>
</table>
<BR>
<table width="800" id="firmwareversion" border="0" cellspacing="0" cellpadding="8" align="center">
  <tr><td bgcolor="#464B4F" style="border-top-left-radius:10px;border-top-right-radius:10px;" colspan="2" align="center"><font color="#FFFFFF"><B>Firmware Version</B></font></td></tr>
  <tr><td width="273" height="10" align="center"></td></tr>
  <tr><td colspan="2">
  <div class="system-info">
        <div class="version-info__contents">  
          <div class="row-fluid">
            <div class="col-md-4">
              <div class="version-info-features" >
                <h5>Firmware Version</h5>
                <!-- dynamic -->
              </div>
            </div>
          </div>
          </div>
          
          <div class="clearfix"></div>
          <!-- dynamic -->
    </div>
  </td></tr>
  <tr><td height="10" align="center"></td></tr>
</table>
</div>

<script language="javascript">
var fw = '<?php echo getFWVersion(); ?>';
var fwversion = '';
fwversion +='<table class="table-bordered" style="width:100%" border="0" cellspacing="0" cellpadding="0">';
	fwversion +='<tr>';
		fwversion +='<td style="padding:10px 0; border-top: 1px solid #ccc;">';
		fwversion +='<p style="margin:0;font-size: 14px;text-align:center;">' + fw + '</p>';
		fwversion +='</td>';
	fwversion +='</tr>';
	
fwversion +='</table>';

//document.getElementById("firmwareversion").style.top = $('#shipconfig').height() + $("#shipconfig").offset().top + 'px';

$('.version-info-features').html('<p style="margin:0;font-size: 14px;text-align:center;">Getting Firmware Version</p>');

setTimeout(function(){
	$('.version-info__contents').html( fwversion );
},500);
</script>

<table id="configtable" style="table-layout: fixed; width: 800" border="0" cellspacing="5" cellpadding="5" align="center">

</table><BR><BR>

<?php include "mm.php"; ?>

</body>
</html>
<div id="loadingmsgholder" style="display: none; position:absolute; left: 50%; top: 50%; width: 450px;
    margin-left: -225px; top: 30%; z-index: 105;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -mox-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    "
    align="center">
    <table width="450" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF"
      style="font-family:Arial, sans-serif; font-size:14px; color:#111">
      <tr>
        <td width="18">&nbsp;</td>
        <td width="363">&nbsp;</td>
        <td width="19">&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="center">
        <span id="loadingmsg">Loading... Your request is being processed, please wait.</span>
        </td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </table>
</div>
<div id="loading" style="display: none;height:100%;width:100%;position:fixed;
    left:0;top:0;z-index:101 !important;background-color:#062544;
    filter: alpha(opacity=0); /* internet explorer */
    -khtml-opacity: 0;      /* khtml, old safari */
    -moz-opacity: 0;       /* mozilla, netscape */
    opacity: 0;           /* fx, safari, opera */
    ">
</div>
<script language="javascript">
	$('.system-info-features').html('<p style="text-align:center"><i class="fa fa-spin fa-spinner"></i> Getting System Information</p>');
	$('.system-info-limits').html('<p style="text-align:center"><i class="fa fa-spin fa-spinner"></i></p>');

	getVesselConfig();
	getVesselSettings();
	//vesselinfo.get();
</script>