#/bin/sh

tmp=/wxa/tmp
src=/wxa/bin/php-cgi
dsksize=`df | grep wxa | awk '{print $4}'`

trap ctrl_c INT

ctrl_c() {
    echo ""
    echo ""
    echo "Caught CTRL-C. Cleaning up"
    rm -f $tmp/*
    exit
}

fsize=`ls -l $src | awk '{print $5}`
fsize=`expr $fsize / 1024`
iter=`expr $dsksize / $fsize`
iter=`expr $iter - 10`

[ ! -d "$tmp" ] && mkdir $tmp

cd $tmp

cnt=1
while [ "$cnt" -lt 6000 ] ; do
    echo "iter: $cnt"
    i=$iter
    while [ "$i" -gt 0 ] ; do
	echo -n '.'
	file=$tmp/test.$i
        cp $src $file
	cmp $src $file
	[ $? -ne 0 ] && echo "Write error" && exit
	wxacnt=`df | grep wxa | wc -l`
	[ $wxacnt -ne 1 ] && echo "Multi mount error" && exit
	i=`expr $i - 1`
    done
    echo ""
    df /wxa
    rm -f $tmp/*
    cnt=`expr $cnt + 1`
done
