/*a:hover{
  text-decoration: none;
  color:#F89500;
}*/

.close {
    float: right;
    font-size: 18px;
    font-weight: 700;
    line-height: 1;
    color: #fff !important;
    text-shadow: 0 1px 0 #fff;
    filter: 100;
     opacity: 100; 
    top: 0px;
    margin-top: -3px;
}
.login-button{
  background: #ed9823;
  padding-left: 40px;
  padding-right: 40px;
  -webkit-box-shadow: 0px 9px 0px 0px rgba(188,83,42,1);
  -moz-box-shadow: 0px 9px 0px 0px rgba(188,83,42,1);
  box-shadow: 0px 9px 0px 0px rgba(188,83,42,1);
}

/*CC button*/
.cc_button{
  display: inline-block;
  padding: 10px 17px;
  border: 1px solid #4c8fbc;
  border-radius: 9px;
  background-color: #73aacb;
  color: #fff;
font-size: 12px;
}

.cc_button:hover{
  text-decoration: none;
  background: #3F769C;
  color: #fff;
}
.cc_button.orange{
  background-color: #ee8f00;
}
.cc_button.orange:hover{
  background-color: #ffb732; 
}

.cc_button.cc_grey{
  background: #dcdcdb;
  color: #666666;  
  border:1px solid #999999;
}
.cc_button.cc_grey:hover{
  background:#999999;
  color: #fff;
}
.cc_button.long{
  padding: 8px 46px;
  text-transform: uppercase;
}

input[type=submit].cc_button,
button[type=submit].cc_button{
  background: #fb9700;
  border: 1px solid #d37120;
  padding: 10px 25px;
  text-transform: uppercase;
  font-weight: bold;
  letter-spacing: 1px;
  font-size: 12px;
  /*text-shadow: -1px -2px 2px rgba(150, 150, 150, 1);*/
}

/* font-links */
.font-links{
  margin: 0 15px;
}

.font-links.dark{
  color: #4d5356
}

.font-links .fa,
.font-links .glyphicon,
.font-links .icon
{
  vertical-align: bottom;
  font-size: 36px;
  margin-right: 10px;
}


/*chat buttons*/

.chat_btn{
padding: 12px 11px;
  padding: 8px 8px 8px 5px;
  border: 1px solid #bcbcbc;
  background-color: #f5f5f5;
  border-radius: 9px;
  margin: 17px 0;
  color: #333333;
  width: 111px;
  display: inline-block;
  font-size: 12px;
  text-align: center;
}
.chat_btn.current,
.chat_btn:hover{
  background-color: #e7e7e7;
  text-decoration: none;
  color: #333333;
}
.chat_btn:hover a{
  text-decoration: none;
}
.chat_btn img{
  width: 32px;
  height: 27px;
}



.leave_btn{
  position: absolute;
  right:16px;
  top:28px;
  padding:7px 10px;
  border:2px solid #4c8fbc;
  background-color:#6ba4c8;
  color:#ffffff;
  border-radius:6px;
}
.leave_btn:hover{
  color: :#fff !important;
  background: #3F769C;
}

.leave_btn img{
  width:30px;
  height:30px;
  margin-right:15px;
}


@media(max-width:991px){
  .leave_btn {
    position: absolute;
    right: 16px;
    top: 37px;
    padding: 2px 8px;
    border: 2px solid #4c8fbc;
    background-color: #6ba4c8;
    color: #ffffff;
    border-radius: 6px;
    font-size: 11px;
  }
}

.leave_btn:hover .image {
    background: url('<?php echo $GLOBALS['linkPath']?>images/boat-001.png')no-repeat 0px -2px;
     background-size: 30px 26px;
  }

.leave_btn div.image {
    background: url('<?php echo $GLOBALS['linkPath']?>images/boat.png')no-repeat 0px -2px;
    width: 29px;
    height: 22px;
    /* margin-right: 8px; */
    display: inline-block;
    background-size: 29px 26px;
    vertical-align: middle;
    margin-right: 8px;
  }


.usercontrolsubmit {
  text-align: center;
  margin: 20px auto;
  border:1px solid #d37120;
  padding:10px 20px;
  color:#ffffff;
  font-size:14px;
  display: block !important;
  background: #f59300;
  border-radius:5px
} 

.usercontrolsubmit:hover{
  background: #ffb732 !important;
}

/*
```
<div class="row credit-logout-holder-container">
          
  <div class="credit-logout-holder">
      <div class="credit">
        <p>Credit Counter</p>
        <p><span id="credit-count">50</span><a href="">Add</a></p>
      </div>
      <div class="logout">
        <a href="">Logoff</a>
      </div>
  </div>
</div>
```
*/

.credit-logout-holder-container{
  position:relative;
}
.credit-logout-holder-container p{
  margin: 0;
  color:#ffffff;
}
.credit-logout-holder{
  position:absolute;
 right: 30px;
    top: 20px;
}

@media(max-width: 991px){
  .credit-logout-holder{
    position: absolute;
    left: 4%;
    top: 20px;
    width: 453px;
  }
}

.credit-logout-holder #internet-counter-container.inactive{
  display: none;
}

.credit-logout-holder .credit,
.credit-logout-holder .internet,
.credit-logout-holder .logout{
  display:inline-block;
  float:left;
  -webkit-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
-moz-box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
box-shadow: 7px 7px 5px 0px rgba(0,0,0,0.47);
}

.credit-logout-holder .internet {
  background: #4c8fbc;
  padding: 2px 20px 11px 20px;
  border: 2px solid #24688e;
  border-radius: 5px;
  margin-right: 10px;
}

.credit-logout-holder .internet p {
  margin-top: 3px;
  margin-bottom: 1px;
}
.internet-label{
  margin: 0 !important;
}

.internet-btn{
text-transform: capitalize;
  padding: 6px 8px;
  display: inline-block;
  text-align: center;
  border-radius: 5px;
  border: 2px solid #4c8fbc;
  color: #ffffff;
  font-size: 9px;
  vertical-align: bottom;
}
.internet-btn.internet-enabled{
  background: #d65b5b;
  border:2px solid #af3a3a;
}

.internet-btn.internet-disabled{
    background: rgb(119,172,204); /* Old browsers */
  background: -moz-linear-gradient(left,  rgba(119,172,204,1) 0%, rgba(112,167,202,1) 51%, rgba(104,162,199,1) 99%); /* FF3.6+ */
  background: -webkit-gradient(linear, left top, right top, color-stop(0%,rgba(119,172,204,1)), color-stop(51%,rgba(112,167,202,1)), color-stop(99%,rgba(104,162,199,1))); /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(left,  rgba(119,172,204,1) 0%,rgba(112,167,202,1) 51%,rgba(104,162,199,1) 99%); /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(left,  rgba(119,172,204,1) 0%,rgba(112,167,202,1) 51%,rgba(104,162,199,1) 99%); /* Opera 11.10+ */
  background: -ms-linear-gradient(left,  rgba(119,172,204,1) 0%,rgba(112,167,202,1) 51%,rgba(104,162,199,1) 99%); /* IE10+ */
  background: linear-gradient(to right,  rgba(119,172,204,1) 0%,rgba(112,167,202,1) 51%,rgba(104,162,199,1) 99%); /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#77accc', endColorstr='#68a2c7',GradientType=1 ); /* IE6-9 */

}

.internet-disabled:after{
  content: "Activate Internet";
}

.deactivate-btn--active.internet-enabled:before{
  content: "" !important;
}
.deactivate-btn--inactive.internet-enabled:before{
  content: "" !important;
}


.credit-logout-holder #internet-count{
  background:#246694;
  padding:4px 15px;
  -webkit-border-top-left-radius: 5px;
  -webkit-border-bottom-left-radius: 5px;
  -moz-border-radius-topleft: 5px;
  -moz-border-radius-bottomleft: 5px;
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
  margin-right: 5px;
  min-width: 80px;
  position: relative;
  display: inline-block;
  text-align: center;
}
.credit-logout-holder #internet-time{
  background:#246694;
  padding:4px 15px;
  -webkit-border-top-right-radius: 5px;
  -webkit-border-bottom-right-radius: 5px;
  -moz-border-radius-topright: 5px;
  -moz-border-radius-bottomright: 5px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  min-width: 85px;
  position: relative;
  display: inline-block;
  text-align: center;
}

#internet-count-label{
    position: absolute;
    /* bottom: -12px; */
    left: 0;
    font-size: 10px;
    top: -17px;
    left: 0;
}

#internet-time-label{
    position: absolute;
    /* bottom: -12px; */
    left: 0;
    font-size: 10px;
    top: -17px;
    left: 0px;
}

.credit-logout-holder .credit{
  background: #4c8fbc;
  padding:5px 20px 8px 20px;

  border: 2px solid #24688e;
  border-radius: 5px;
  margin-right: 10px;
}
.credit-logout-holder .logout{
  background:#74aacb;
  padding: 19px 22px;
    border:2px solid #24688e;
  border-radius:5px;
}
.credit-logout-holder .logout a{
  color:#ffffff;
}

.credit-logout-holder #credit-count{
  background:#246694;
  padding:4px 15px;
  -webkit-border-top-left-radius: 5px;
-webkit-border-bottom-left-radius: 5px;
-moz-border-radius-topleft: 5px;
-moz-border-radius-bottomleft: 5px;
border-top-left-radius: 5px;
border-bottom-left-radius: 5px;
}

.credit-logout-holder .credit-add{
  background:#f89500;
  padding:4px 9px;
  color:#ffffff;
  -webkit-border-top-right-radius: 5px;
-webkit-border-bottom-right-radius: 5px;
-moz-border-radius-topright: 5px;
-moz-border-radius-bottomright: 5px;
border-top-right-radius: 5px;
border-bottom-right-radius: 5px;
}

.credit-logout-holder .credit-label,
.credit-logout-holder .internet-label{
  font-size: 9px;
}

.credit-logout-holder .credit-info{
  font-size: 23px;
  vertical-align: middle;
  padding-left: 10px;
  color: #ffffff;
}

@media(max-width:991px){
  body{position:relative;height:100%}
  .credit-logout-holder-container{
    z-index:200 !important;
      position:fixed;
    bottom:80px !important;
    left:24.3%;
    width:200px;
  }

  .credit-logout-holder-container .logout{
    display:none;
  }
}
.addressbook_btn{
  font-size:13px;
  padding:14px 20px; 
  color:#1a6892;
}

@media (max-width: 991px) {
  .addressbook_btn{
  float:right;
  } 

  .control-upper-container .cc_button{
    margin-bottom: 5px;
  }
}

#leaveVesselModal-open:hover{
  color:#F59300;
}

a:hover,a:active{
  text-decoration: none;
}

.chat-login .cc_button:hover{
  background: #ffb732;
}

.chat-login .control-label{
  text-align: left !important;
}



@media (min-width: 991px) {
  #showloginhelp{
    position:absolute;
    bottom:67px;"  
  }  
}

.btn.disabled, .btn[disabled], fieldset[disabled] .btn{
  cursor:progress !important;
}

.mobile-site-link{
  margin-left:33px;
  color:#fff;
}