#!/usr/bin/php-cgi
<?php
  include("topinsert.php");
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title><?php echo $dTitle; ?></title>

    <link href="<?php echo $GLOBALS['vendorsPath']?>vendors/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo $GLOBALS['vendorsPath']?>vendors/fontawesome/css/font-awesome.min.css" rel="stylesheet">
    <?php include $GLOBALS['assetsPath'].'css/style.php';?>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/js/modernzr.custom.js"></script>
    <?php include $GLOBALS['assetsPath'].'css/menu.php';?>
    
    <?php include "../m/funcjs.php"; ?>
  </head>
  <body>
    <!-- start counters -->
    <div class="container no-pad-all">
    <?php include 'counter.php';?>    
    </div>
    <!-- end counters -->
    
    <div class="container no-pad-all container-main">
        <!-- The Header Part -->
        <div class="row-fluid hidden-xs hidden-sm">
          <div class="header-main col-md-12 col-md-12"></div>
        </div><!--End The Header Part -->

        <div class="row-fluid">
              <div class="container-main col-md-12 col-md-12">
                <!--Start THe Sidebar -->
                <?php include 'sidebar.php';?>
                <!--End THe Sidebar -->

                <!-- THe Content -->
                <div id="main-content" class=" col-md-9 col-lg-9 col-sm-9 content col-xs-9">
                  <!-- right side -->
                  <div class="main-content">
                    <!-- content here starts -->


                      <div class="panel panel-dark" id="panel-dark" style="min-height: 520px;">
                        <div class="panel-heading">
                          <h3 class="panel-title panel-title-large"><img src="<?php echo $GLOBALS['linkPath']?>/images/announcements-gold.png" class="ptl"> Announcements</h3>
                        </div>
                        <div class="panel-body panel-main-content" id="panel-body"
                        	style="padding: 10px 10px 10px 10px !important;">
                          
                          <?php include "newsfull.php"; ?>
                          
                              <div class="announcements-block"
                                  style="
                                  	overflow: auto !important; 
                                    min-height: 530px;
                                    padding: 0px 0px 0px 0px !important;
                                    background:#E3E3E3;
                                    border: 0px solid #bcbcbc;
                                    -webkit-border-radius: 0px;
                                    -moz-border-radius: 0px;
                                    border-radius: 0px;
                                    height: 530px;
                                  "
                                  >

									<div class="news-item-listing" align="center">
                                        <i class="fa fa-spinner fa-spin"></i> Retrieving Announcements
                                    </div>
 
							  </div>
                              <div class="clearfix"></div>
                        </div>
                      </div>
                      <!-- footer -->
                      <div class="footer"><img class="footer-image" src="<?php echo $GLOBALS['linkPath']?>images/smsgloballogo_.png"></div>
                      <!-- footer -->
                      <!-- content here Ends -->
                      <div class="clearfix"></div>
                  </div><!--End #main-content .main-content -->
                </div><!--End #main-content -->
              </div>
            </div>
        </div>
    </div>
    <!-- MODALS STARTS HERE -->
    <?php include 'controlpanel.php';?>
    <!-- MODALS ENDS HERE -->

	<?php include 'reload.php'; ?>
    <?php include '../m/inetrelated.php'; ?>

    <?php $mobileSiteShow = true?>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/jquery/jquery.js"></script>
	<script src="<?php echo $GLOBALS['vendorsPath']?>vendors/jquery/jquery-ui.min.js"></script>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/bootstrap/js/bootstrap.min.js"></script>  
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/js/jquery.bpopup.min.js"></script>
    <script type="text/javascript" src="<?php echo $GLOBALS['mobilePath']; ?>vendors/cropbox.js"></script>
    <script src="<?php echo $GLOBALS['vendorsPath']?>js/main.js"></script>
    <script type="text/javascript" src="<?php echo $GLOBALS['mobilePath']; ?>js/jquery.base64.js"></script>
    
    <?php if(isset($mobileSiteShow) &&  $mobileSiteShow === true):?>
        <?php echo detectUserAgent(' style="width:100%;padding:0 0 10px; 0" align="center"'); ?>
    <?php else:?>
        <div class="mobile-browser-tablet-detect__footer">
            <?php echo detectUserAgent(' style="width:100%;padding:0 0 10px; 0" align="center"'); ?>
        </div>
    <?php endif;?>

	<?php include "loading.php"; ?>
    
    <?php include "dfoot.php"; ?>
  </body>
</html>
<script>
var newscnt = 0;
var newsArr = Array();

function getAnnouncements() {

	//Check if current news items are in local storage
	var newsdate = '1'; newscnt = 0;
	var timeToExpire	   = getLocalStorage('timeAnnounceRefresh');
	var storedResponse	   = null;
	if(timeToExpire !== null)
	{
		if(timeToExpire < (new Date()).getTime())
		{			
			var newExpire = (new Date()).getTime() + 10000;
			setLocalStorage( 'timeAnnounceRefresh' , newExpire );
		}else{			
			storedResponse = getLocalStorage('InNews' + newsdate);	
		}
	}else{
		var newExpire = (new Date()).getTime() + 10000;
		setLocalStorage( 'timeAnnounceRefresh',newExpire );
	}

	if ((typeof storedResponse === 'object') && (storedResponse !== null)) {
		newscnt = processFleetAnn(storedResponse);
	}
	if (newscnt == 0) {
		//Request fleet announcements first
		var noerror = true;
		//var dhost = host + 'api/rest/requestnews';
		//var dhost = host.replace('[CHANGEIP]', checkServerConnection()) + 'api/rest/requestnews';
		
		var ssip = checkServerConnection();
		var dhost = linksysHost + "?csipadd="+ssip+"&act=getLoginHeadlines";
		
		var requestapi;
		requestapi = $.ajax({
			url: dhost,
			type: "post",
			data: {
				macid: '<?php echo $GLOBALS['MACID']; ?>',
				api_key: '<?php echo $GLOBALS['APIKEY']; ?>',
				newsfname: 'InNews' + newsdate,
				newsdate: newsdate,
				newslogin: "0",
				newsid: "",
				newsheader: "",
				newscountry: "",
				newscategory: ""<?php echo urladdparams(); ?>+""+getSession()
			},
			timeout: 30000
		});
		
		requestapi.done(function (response, textStatus, jqXHR){
			if (noerror) {
				
				if ((typeof response === 'object') && (response !== null)) {
					setLocalStorage('InNews' + newsdate, response);
				}
				//process now
				processFleetAnn(response);
				
			}
		});
	
		requestapi.fail(function (jqXHR, textStatus, errorThrown){
			noerror = false;
			
			$('div.announcements-block').empty();
			disp = '<div class="news-item-listing" align="center">';
			disp += 'There was a problem retrieving the Announcements, please try again.';
			disp += '</div>';
			$('div.announcements-block').append(
				disp
			);
		});
	
		requestapi.always(function () {
			requestapi = null;
		});
		//Request fleet announcements first
	
	}
	
}

function processFleetAnn(response) {
	//sort data by date
	response.sort(function(a,b){
	 	return new Date(b.FleetNewsDate) - new Date(a.FleetNewsDate);
	});
	newscnt = 0;
	newsArr = null;
	newsArr = Array();
	newsArr = [];
	
	$('div.announcements-block').empty();
	
	try {
							
		var dtitle = "";
		var dbody = "";
		var ddate = "";
		var did = "";
		var disp = "";
		
		$.each(response, function (index, value) {
			dtitle = "";
			dbody = "";
			ddate = "";
			disp = "";
			
			try {
				
				$.each(value, function (dindex, dvalue) {
					if ((dvalue == 'null') || (dvalue == null) || (dvalue.length == 0) || (dvalue.toLowerCase() == 'undefined')) {dvalue = "&nbsp;";}
					
					if (dvalue == '&nbsp;') {dvalue = "";}
					
					try {
						switch(dindex.toUpperCase()) {
							case "FLEETNEWSTITLE":
								dtitle = dvalue;
								break;
							case "FLEETNEWSBODY":
								dbody = dvalue;
								break;
							case "FLEETNEWSDATE":
								ddate = dvalue;
								break;
							case "FLEETNEWSID":
								did = dvalue;
								break;
						}
					} catch(e) {}
				});
			} catch (e) {}
			
			if ((dtitle + dbody).length > 0) {
				disp = '<div class="news-item-listing" style="margin-bottom: 10px !important; margin-top: 0px !important;"><a href="javascript:;" onClick="showMessage(\'' + newscnt + '\',\'' + did + '\')">';
				disp += '<h1 class="news-item__title">' + Base64.decode(dtitle) + '</h1>';
				disp += '<span class="news-item__date">' + ddate + '</span>';
				disp += '<p class="news-item__content">' + ( replaceAll( Base64.decode(dbody), "\n", "<BR>") ).substr(0,50) + '...</p>';
				disp += '</a></div>';
				
				var itmarr = Array();
				itmarr[0] = did;
				itmarr[1] = dtitle;
				itmarr[2] = ddate;
				itmarr[3] = replaceAll( Base64.decode(dbody), "\n", "<BR>");
				newsArr.push(itmarr);
				
				newscnt++;
				
				$('div.announcements-block').append(
					disp
				);
			}
		});
	
	} catch (e) {
		newscnt = 0;
	}

	if (newscnt == 0) {
		$('div.announcements-block').empty();
		disp = '<div class="news-item-listing" align="center">';
		disp += 'No announcements available.';
		disp += '</div>';
		$('div.announcements-block').append(
			disp
		);
	}
	
	return newscnt;
}

var newsIsLoading = false;
function showMessage(idx, id) {
	newsIsLoading = true;
	
	currId = parseInt(idx);
	
	showMessageMessageDisp('');
	
	if (newsArr[currId][3].length > 0) {
		$("#msgdtitle").html(Base64.decode(newsArr[currId][1]));
		$("#msgddate").hide();
		$("#msgdbody").html(replaceAll( newsArr[currId][3], "\n", "<BR>"));
	}
	
	var newsdate = '1';
	var ret = 0;
	var storedResponse = getLocalStorage('InNewsItm' + newsdate + id);
	if ((typeof storedResponse === 'object') && (storedResponse !== null)) {
		ret = processNewsMessage(storedResponse);
	}
	if (ret == 0) {
		$("#loadingnewsmsg").html("Loading announcement body, please wait.");
		$("#newmsgLoadingholder").fadeIn(500);
		
		//Request fleet announcements first
		var noerror = true;
		//var dhost = host + 'api/rest/requestnews';
		//var dhost = host.replace('[CHANGEIP]', checkServerConnection()) + 'api/rest/requestnews';
		
		var ssip = checkServerConnection();
		var dhost = linksysHost + "?csipadd="+ssip+"&act=getLoginHeadlines";
		
		var requestapi;
		requestapi = $.ajax({
			url: dhost,
			type: "post",
			data: {
				macid: '<?php echo $GLOBALS['MACID']; ?>',
				api_key: '<?php echo $GLOBALS['APIKEY']; ?>',
				newsfname: 'InNewsItm' + newsdate + id,
				newsdate: newsdate,
				newslogin: "3",
				newsid: id,
				newsheader: "",
				newscountry: "",
				newscategory: ""<?php echo urladdparams(); ?>+""+getSession()
			},
			timeout: 30000
		});
		
		requestapi.done(function (response, textStatus, jqXHR){
			if (noerror) {
				
				if ((typeof response === 'object') && (response !== null)) {
					setLocalStorage('InNewsItm' + newsdate + id, response);
				}
				
				processNewsMessage(response);
				
			}
		});
	
		requestapi.fail(function (jqXHR, textStatus, errorThrown){
			noerror = false;
			
			//$("#spinnerloading").hide();
			$("#loadingnewsmsg").html("Error loading news body.");
			$("#newmsgLoadingholder").fadeOut(1000);
		});
	
		requestapi.always(function () {
			requestapi = null;
		});
		//Request fleet announcements first
	
	}
}

function processNewsMessage(response) {
	var msgCnt = 0;
	
	try {
							
		var dtitle = "";
		var dbody = "";
		var ddate = "";
		var did = "";
		var disp = "";
		
		$.each(response, function (index, value) {
			dtitle = "";
			dbody = "";
			ddate = "";
			disp = "";
			
			try {
				
				$.each(value, function (dindex, dvalue) {
					if ((dvalue == 'null') || (dvalue == null) || (dvalue.length == 0) || (dvalue.toLowerCase() == 'undefined')) {dvalue = "&nbsp;";}
					
					if (dvalue == '&nbsp;') {dvalue = "";}
					
					try {
						switch(dindex.toUpperCase()) {
							case "FLEETNEWSTITLE":
								dtitle = dvalue;
								break;
							case "FLEETNEWSBODY":
								dbody = dvalue;
								break;
							case "FLEETNEWSDATE":
								ddate = dvalue;
								break;
							case "FLEETNEWSID":
								did = dvalue;
								break;
						}
					} catch(e) {}
				});
			} catch (e) {}
			
			if (dbody.length > 0) {
				$("#msgdtitle").html(Base64.decode(newsArr[currId][1]));
				$("#msgddate").html(newsArr[currId][2]);
				$("#msgdbody").html("&nbsp;");
				$("#msgdbody").html(replaceAll( Base64.decode(dbody), "\n", "<BR>"));
				
				$("#newmsgLoadingholder").fadeOut(500);
				
				msgCnt++;
			} else {
				$("#loadingnewsmsg").html("Error loading announcement body.");
				$("#newmsgLoadingholder").fadeOut(1000);
			}
			
			$("#msgdbody").focus();
		});
	
	} catch (e) {
		msgCnt = 0;
	}

	if (msgCnt == 0) {
		$("#loadingnewsmsg").html("Error loading announcement body.");
		$("#newmsgLoadingholder").fadeOut(1000);
	}
	
	//msgCnt = 0; //TEMP ONLY
	newsIsLoading = false;
	
	return msgCnt;
}

$(document).ready(function(){
	getAnnouncements();
});
</script>
<?php include "../m/foot.php"; ?>