<?php
  	include("topinsert.php");
	
	$d_to = "";
	if (isset( $_POST['d_to'] )) {
		$d_to = stripslashes( $_POST['d_to'] );
	}
	$d_body = "";
	if (isset( $_POST['d_body'] )) {
		$d_body = stripslashes( $_POST['d_body'] );
	}
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title><?php echo $dTitle; ?></title>

    <link href="<?php echo $GLOBALS['vendorsPath']?>vendors/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo $GLOBALS['vendorsPath']?>vendors/fontawesome/css/font-awesome.min.css" rel="stylesheet">
    <?php include $GLOBALS['assetsPath'].'css/style.php';?>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/js/modernzr.custom.js"></script>
    <?php include $GLOBALS['assetsPath'].'css/menu.php';?>
    
    <?php include "../m/funcjs.php"; ?>

  </head>
  <body>
    <!-- start counters -->
    <div class="container no-pad-all">
    <?php include 'counter.php';?>   
    </div>
    <!-- end counters -->


    <div class="container no-pad-all container-main">
        <!-- The Header Part -->
        <div class="row-fluid hidden-xs hidden-sm">
          <div class="header-main col-md-12 col-md-12"></div>
        </div><!--End The Header Part -->

        <div class="row-fluid">
              <div class="container-main col-md-12 col-md-12">
                <!--Start THe Sidebar -->
                <?php include 'sidebar.php';?>
                <!--End THe Sidebar -->

                <!-- THe Content -->
                <div id="main-content" class=" col-md-9 col-lg-9 col-sm-9 content col-xs-9">
                  <!-- right side -->
                  <div class="main-content">
                    <!-- content here starts -->


                      <!-- control box template -->
                      <?php include 'tmpl_emailsms_controlbox.php';?>
                      <!-- control box template -->

                          <div class="send-message-form">
                            <div class="send-message-form__header">
                                <p>New SMS</p>
                                <!-- <a href="" class="send-message-form__header-close"><i class="fa fa-times"></i></a> -->
                              </div>
                              <div class="send-message-form__input">
                                <label>To:</label>
                                <input type="text" name="d_to" id="d_to" class="email_input_form_contacts form-control"  aria-describedby="basic-addon2" value="<?php echo $d_to; ?>">
                                <span data-compose-type="d_to" class="email_input_form_contacts-add-user input-group-addon__custom input-group-addon" id="basic-addon2"><i class="fa fa-user"></i></span>
                              </div>
                              <div class="send-message-form__input send-message-form__input-sms">
                                <textarea name="d_body" id="d_body" placeholder="Message:" onChange="getComposeCount();" onKeyUp="getComposeCount();"><?php echo $d_body; ?></textarea>
                              </div>
                              <div class="send-message-form__footer">
                                <input type="button" onClick="sendMail();" class="cc_button orange" value="Send">
                                <span id="d_msgcounter" class="character-count"></span>
                              </div>
                          </div>

                          <!-- content -->
                        <!-- </div>
                      </div> -->
                      <!-- footer -->
                      <div class="footer"><img class="footer-image" src="<?php echo $GLOBALS['linkPath']?>images/smsgloballogo_.png"></div>
                      <!-- footer -->
                      <!-- content here Ends -->
                      <div class="clearfix"></div>
                  </div><!--End #main-content .main-content -->
                </div><!--End #main-content -->
              </div>
            </div>
        </div>
    </div>

    <!-- MODALS STARTS HERE -->
    <?php include 'controlpanel.php';?>
    <!-- MODALS ENDS HERE -->

	<?php include 'reload.php'; ?>
    <?php include '../m/inetrelated.php'; ?>

    <?php $mobileSiteShow = true?>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/jquery/jquery.js"></script>
	<script src="<?php echo $GLOBALS['vendorsPath']?>vendors/jquery/jquery-ui.min.js"></script>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/bootstrap/js/bootstrap.min.js"></script>  
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/js/jquery.bpopup.min.js"></script>
    <script type="text/javascript" src="<?php echo $GLOBALS['mobilePath']; ?>vendors/cropbox.js"></script>
    <script src="<?php echo $GLOBALS['vendorsPath']?>js/main.js"></script>
    <script type="text/javascript" src="<?php echo $GLOBALS['mobilePath']; ?>js/jquery.base64.js"></script>
    
    <?php if(isset($mobileSiteShow) &&  $mobileSiteShow === true):?>
        <?php echo detectUserAgent(' style="width:100%;padding:0 0 10px; 0" align="center"'); ?>
    <?php else:?>
        <div class="mobile-browser-tablet-detect__footer">
            <?php echo detectUserAgent(' style="width:100%;padding:0 0 10px; 0" align="center"'); ?>
        </div>
    <?php endif;?>
    
    <!-- =============== // ================== -->
    <div class="modal fade" id="addressbook">
		<div class="modal-dialog">
		  <div class="modal-content" style="background:#fff">
		    <div class="modal-header">
		      <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
		      <h4 class="modal-title">Add Recipients</h4>
		    </div>
		    <div class="modal-body">
		      <!-- ==========  //  =========== -->
		      <div class="contact-details-container-main">
	          <div class="contact-details-container">

	            <ul class="contact-details-list">
	              <!-- Dynamic content -->
	            </ul>
	            <div class="clearfix"></div>
	          </div>
          </div>
		      <!-- ==========  //  =========== -->
		    </div>
		    <div class="modal-footer">
		      <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            <button type="button" onClick="addressbook.postcontact(this)" class="btn btn-primary">Add</button>
		    </div>
		  </div><!-- /.modal-content -->
		</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
    <!-- =============== // ================== -->

	<?php include "loading.php"; ?>
    
    <?php include "dfoot.php"; ?>

<?php include "../m/foot.php"; ?>
<?php include 'funcjs.dev.php';?>
<script>
$(document).ready(function(){
	getComposeCount();
	
	$("#d_to.SMS").keypress(function (e) {
		var regex = /^[\+0-9, ]+$/;
		var str = String.fromCharCode(!e.charCode ? e.which : e.charCode);
		if (regex.test(str)) {
			return true;
		}		
		e.preventDefault();
		return false;
	});
});

function getComposeCount() {
	var boxlimit = setmsglimit(false);
	
	$("#d_body").attr('maxlength', boxlimit);
	
	if ($("#d_body").val().length > boxlimit) {
        $("#d_body").val(val.slice(0, boxlimit));
    }
	
	var charcnt = countMsgBody($("#d_body").val());
	var msgcnt = 1;
	while (charcnt > 160) {
		msgcnt++;
		charcnt = charcnt - 160;
	}
	$('#d_msgcounter').text((160 - charcnt) + "/" + msgcnt);
}

$(function() {  
    $("textarea[maxlength]").bind('input propertychange', function() {  
        var maxLength = $(this).attr('maxlength');  
        if ($(this).val().length > maxLength) {  
            $(this).val($(this).val().substring(0, maxLength));  
        }  
    })
});

function sendMail() {
	/*
	TO DO:
	Attachments
	Credit count / limit
	Support mails
	*/
	
	//Validate To
	$("#d_to").val( validateAllPhones($("#d_to").val()) );
	
	if ($("#d_to").val().length == 0) {
		showMessageAlert("Please add recipients.");
		return;
	} else if ($("#d_body").val().length == 0) {
		showMessageAlert("Please add a message.");
		return;
	}
	
	var messageid = generateMsgID();
	
	//Validate Msg
	var charcnt = countMsgBody($("#d_body").val());
	if (charcnt > getmaxlimit(false)) {
		showMessageAlert('Message cannot be sent, it has exceeded the message character limit.');
	} else {
		/*if (confirm("Send message to " + $("#d_to").val() + "?")) {
			$("#d_to").val( cleanToCCBcc($("#d_to").val()) );
			
			showLoadingMessageDisp("Sending message, please wait.");
			
			dcreditused = getcreditused(false);
			
			sendMsg({macid: '<?php echo $GLOBALS['MACID']; ?>',
				api_key: '<?php echo $GLOBALS['APIKEY']; ?>',
				loginid: '<?php echo $_SESSION['uid']; ?>',
				messageid: messageid,
				to: $("#d_to").val(),
				cc: "",
				bcc: "",
				subject: "",
				body: Base64.encode( $("#d_body").val() ),
				attachmentcount: getattachmentcount(),
				creditused: dcreditused,
				messagelimit: getnumberofmsgs(false)}, dcreditused);
				
			hideLoadingMessageDispIfDone();
		}*/
		
		sweetAlert({
				// title: "Send Message",
				title: "Send message to " + $("#d_to").val() + "?",
				showCancelButton: true,
				confirmButtonText: "Yes",
				cancelButtonText: "No",
				closeOnConfirm: true,
				closeOnCancel: true 
			},
			function(isConfirm){
				if (isConfirm) {
					//sweetAlert("Deleted!", "Your imaginary file has been deleted.", "success");
					
					$("#d_to").val( cleanToCCBcc($("#d_to").val()) );
			
					showLoadingMessageDisp("Sending message, please wait.");
					
					dcreditused = getcreditused(false);
					
					sendMsg({macid: '<?php echo $GLOBALS['MACID']; ?>',
						api_key: '<?php echo $GLOBALS['APIKEY']; ?>',
						loginid: '<?php echo $_SESSION['uid']; ?>',
						messageid: messageid,
						to: $("#d_to").val(),
						cc: "",
						bcc: "",
						subject: "",
						body: Base64.encode( $("#d_body").val() ),
						attachmentcount: getattachmentcount(),
						creditused: dcreditused,
						messagelimit: getnumberofmsgs(false)<?php echo urladdparams(); ?>+""+getSession()}, dcreditused);
						
					hideLoadingMessageDispIfDone();
					
				} else { 
					/*sweetAlert(
					"Cancelled", 
					"Your imaginary file is safe :)", "error");*/
				}
			}
		);
	}
}

function sendMsg(ddata, dcreditused) {
	
	var noerror = true;
	var dhost = host + 'api/rest/sendmessage';
	
	var requestapi;
	requestapi = $.ajax({
		url: dhost,
		type: "post",
		data: ddata, //{ macid: intermacid }
		timeout: 30000
	});
	
	ajxCnt++;

	requestapi.done(function (response, textStatus, jqXHR){
		if (noerror) {
			try {
							
				$.each(response, function (index, value) {
			
					try {
				
						$.each(value, function (dindex, dvalue) {
							
							$("#d_to").val('');
							$("#d_body").val('');
							
							user_credit = user_credit - dcreditused;
							displayCreditCounter();
							
							ajxCnt = 0;
							hideLoadingMessageDisp();
							
							//showMessageAlert('Message successfully sent.');
							
							//document.location.href = 'emailsms.php'; //'mailboxsent.php';
							
							try {
								sweetAlert({
										title: 'Message successfully sent.',
										showCancelButton: false,
										confirmButtonText: "Ok",
										closeOnConfirm: true 
									},
									function(isConfirm){
								        $(window).unbind('onbeforeunload');
								        $(window).unbind('beforeunload');
								        window.onbeforeunload = null;
										document.location.href = 'emailandsms.inbox.php';
									}
								);
							} catch (e) {
						        $(window).unbind('onbeforeunload');
						        $(window).unbind('beforeunload');
						        window.onbeforeunload = null;
								alert('Message successfully sent.');
								document.location.href = 'emailandsms.inbox.php';
							}
							
						});
						
					} catch (e) {}
				
				});
			
			} catch (e) {}	
		}
	});

	requestapi.fail(function (jqXHR, textStatus, errorThrown){
		noerror = false;
		
		ajxCnt = 0;
		hideLoadingMessageDisp();
		
		if (textStatus=="timeout") {
			showMessageAlert('The request has timed out. Please try again.');
		} else {
			showMessageAlert('An error has occurred while sending your message. Please try again.');
		}
	});

	requestapi.always(function () {
		requestapi = null;
		
		ajxCnt--;
		hideLoadingMessageDispIfDone();
	});
	
}


	/*
		=============== /added scripts/ ==================
	*/
	//get reply
	/*compose.getReplyData('sms');
	//get address book
	addressbook.get(false,'sms');
	/*
		=============== /added scripts/ ==================
	*/

	$('.email_input_form_contacts-add-user').on('click', function(event) {
		event.preventDefault();

		var currentInput = $(this).attr('data-compose-type');

		console.log(currentInput);
		localStorage.setItem('composeaddcontactsto',JSON.stringify( currentInput) );
		$('#addressbook').attr('data-compose-type',currentInput);
		$('#addressbook').modal('show');
	});

	$('.email_input_form_contacts').focus(function(event) {
	    event.preventDefault();
	    $('.email_input_form_contacts-add-user').css('visibility','hidden');
	    $(this).siblings('.email_input_form_contacts-add-user').css('visibility','visible');
	});	

	compose.getReplyData('sms');
	addressbook.get(false,'sms');

	$(document).on('keyup keydown change blur','#d_body',function(event){
      var obj = $(this);
      var content =  obj.val();
      var content_stripped = $.trim(content).replace(/\s/g,'');

      if(content_stripped.length >= 1)
      {
        window.onbeforeunload = function (e) {
          var message = "You have unfinished message are you sure you want to quit?.",
          e = e || window.event;
          // For IE and Firefox
          if (e) {
            e.returnValue = message;
          }
          // For Safari
          return message;
        };
      }else{
        $(window).unbind('onbeforeunload');
        $(window).unbind('beforeunload');
        window.onbeforeunload = null;
      }
    });
</script>
</body>
</html>