<?php
	error_reporting(0);
	
	include("globals.php");
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>CrewCommCenter Vessel System Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style>
body
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	
	background: url(<?php echo $GLOBALS['plugFilePath']; ?>/img/bg1.png) no-repeat; 
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
}

div, table, tr, td
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
}

#shipconfig{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 800px;
    margin-left: -275px;
}

#mainmediaviewmm{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 250px;
    margin-left: -545px;
}

input { 
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	padding: 4px;
}

#cccline{
	margin: 0;
  	display: inline-block;
    position: absolute;
    top: 10%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 270px;
    vertical-align:top;
    -webkit-background-size: cover;
}

#ccctext{
	-webkit-background-size: cover;
	margin: 0;
  display: inline-block;
    position: absolute;
    top: 14%;
    left: 49.5%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 300px;
    vertical-align:top;
}

a:link {
    color: #000000;
	text-decoration: none;
}
a:visited {
    color: #000000;
	text-decoration: none;
}
a:hover {
    color: #00F;
	text-decoration: none;
}
a:active {
    color: #000000;
	text-decoration: none;
}

.button-tab{
	cursor:pointer;
	display: inline-block;
	border:1px solid #CCC;
	background: #FFF;
	padding: 10px 11px 10px 11px;
    margin: 0 !important;
}
.button-tab:hover{
	border:1px solid #866969;
	background-color:#CCC;
}


.table-bordered table, .table-bordered td, .table-bordered tr {
    text-align: left;
}
.table-bordered table {
    border-collapse: collapse;
    width: 100%;
}
.table-bordered tr, .table-bordered td {
    padding: 5px;
}
.table-bordered td {
    border-bottom: 1px solid #ccc;
	border-left: 1px solid #ccc;
    padding: 5px;
}

.SatComListTblcls a
{
    display:block;
    text-decoration:none;
}

.rebootTD input[type=button]:disabled {
    background: #CCC;
}
.rebootTD input[type=button]:enabled {
    background: #9CF;
}
</style>
<script type="text/javascript" src="<?php echo $GLOBALS['plugFilePath']; ?>/script/jquery.min.js"></script>
<script type="text/javascript" src="<?php echo $GLOBALS['plugFilePath']; ?>/script/jquery.mask.js"></script>
<script language="javascript">
var currLANIP = '<?php echo $GLOBALS['prevlan']; ?>';

<?php
$blan = trim(getPrevBusLan());
$blanArr = explode("\n", $blan);
for ($i=0; $i<count($blanArr); $i++) {
	if (strtolower(trim($blanArr[$i])) == "BUSINESS LAN") {
	} else {
		$tmp = explode(" ", trim($blanArr[$i]));
		switch (trim($tmp[0])) {
			case "netmask":
				$GLOBALS['prevnetmask'] = trim($tmp[1]);
				break;
			case "ipaddr":
				$GLOBALS['prevbipaddr'] = trim($tmp[1]);
				break;
			case "gateway":
				$GLOBALS['prevgateway'] = trim($tmp[1]);
				break;
			case "broadcast":
				$GLOBALS['prevbroadcast'] = trim($tmp[1]);
				break;
		}
	}
}

$blan = trim(getPrevBusLanDHCP());
$blanArr = explode("\n", $blan);
for ($i=0; $i<count($blanArr); $i++) {
	if (strtolower(trim($blanArr[$i])) == "BUSINESS DHCP SET") {
	} else {
		$tmp = explode(" = ", trim($blanArr[$i]));
		switch (trim($tmp[0])) {
			case "DHCP":
				$GLOBALS['prevbdhcp'] = trim($tmp[1]);
				break;
			case "Start":
				$GLOBALS['prevbdhcpstart'] = trim($tmp[1]);
				break;
			case "End":
				$GLOBALS['prevbdhcpend'] = trim($tmp[1]);
				break;
		}
	}
}
?>
var prevnetmask = '<?php echo $GLOBALS['prevnetmask']; ?>';
var prevbipaddr = '<?php echo $GLOBALS['prevbipaddr']; ?>';
var prevgateway = '<?php echo $GLOBALS['prevgateway']; ?>';
var prevbroadcast = '<?php echo $GLOBALS['prevbroadcast']; ?>';

var prevbdhcp = '<?php echo $GLOBALS['prevbdhcp']; ?>';
var prevbdhcpstart = '<?php echo $GLOBALS['prevbdhcpstart']; ?>';
var prevbdhcpend = '<?php echo $GLOBALS['prevbdhcpend']; ?>';

function fetchLANIP() {
	var lanip = prompt('LAN IP', currLANIP);
	if (lanip != null) {} else {return;}
	
	lanip = ValidateIPaddress(lanip);
	if (lanip.length <= 0) {alert('Invalid LAN IP address.');}
	var laniplistn = GetIPaddressListen(lanip);
	var fact = 'lanset?ipnet='+lanip+'&iplisten='+laniplistn;
	
	var noerror = true;
	var dhost = 'http://<?php echo (($_SERVER['SERVER_ADDR'] == "::1")?$localIP:$_SERVER['SERVER_ADDR']); ?>/cgi-bin/' + fact;
	
	$("#loading").fadeIn(200);
	$("#loadingmsgholder").fadeIn(200);
	$("#loadingmsg").html("Updating Crew LAN. Please wait.");
	
	var requestprevconfig;
	requestprevconfig = $.ajax({
		url: dhost,
		type: "get",
		data: { ipnet: lanip, iplisten: laniplistn },
		timeout: 30000
	});

	requestprevconfig.done(function (response, textStatus, jqXHR){
		if (noerror) {
			try {
			
				/*response = response.replace('<pre>', "");
				response = response.replace('</pre>', "");
				response = response.replace("'", "");
				response = response.replace("'", "");*/
				
				document.getElementById('currlanip').innerHTML = 'LAN IP:&nbsp;<b>' + lanip + '</b>';
				currLANIP = lanip;
				
				document.getElementById('dorebootrouterlan').disabled=false;
				localStorage.setItem('dorebootrouterlan', "1");
				
			
			} catch (e) {}
		}
	});

	requestprevconfig.fail(function (jqXHR, textStatus, errorThrown){
		noerror = false;
	});

	requestprevconfig.always(function () {
		requestprevconfig = null;
		
		$("#loading").fadeOut(500);
		$("#loadingmsgholder").fadeOut(500);
	});
}

function rebootTerminal() {
	var noerror = true;
	var dhost = '<?php echo $GLOBALS['dhost']; ?>';
	
	$("#loading").fadeIn(200);
	$("#loadingmsgholder").fadeIn(200);
	$("#loadingmsg").html("Requesting router reboot. Please wait.");
	
	var requestprevconfig;
	requestprevconfig = $.ajax({
		url: dhost,
		type: "get",
		data: { act: '11' },
		timeout: 30000
	});

	requestprevconfig.done(function (response, textStatus, jqXHR){
		if (noerror) {
			try {
			
				alert('The router is rebooting, please wait a couple of minutes.');
				document.getElementById('dorebootrouterlan').disabled=true;
				localStorage.setItem('dorebootrouterlan', "0");
				localStorage.removeItem('dorebootrouterlan');
			
			} catch (e) {}
		}
	});

	requestprevconfig.fail(function (jqXHR, textStatus, errorThrown){
		noerror = false;
		//alert(textStatus);
	});

	requestprevconfig.always(function () {
		requestprevconfig = null;
		
		$("#loading").fadeOut(500);
		$("#loadingmsgholder").fadeOut(500);
	});
}

function ValidateIPaddress(ipaddress)    {  
	var arr = ipaddress.split(".");
	if (parseInt(arr[0]) > 0 && parseInt(arr[0]) <256) {} else {return "";}
	if (parseInt(arr[1]) >= 0 && parseInt(arr[1]) <256) {} else {return "";}
	if (parseInt(arr[2]) >= 0 && parseInt(arr[2]) <256) {} else {return "";}
	return arr[0] + "." + arr[1] + "." + arr[2] + ".0";
}

function GetIPaddressListen(ipaddress)    {  
	var arr = ipaddress.split(".");
	if (parseInt(arr[0]) > 0 && parseInt(arr[0]) <256) {} else {return "";}
	if (parseInt(arr[1]) >= 0 && parseInt(arr[1]) <256) {} else {return "";}
	if (parseInt(arr[2]) >= 0 && parseInt(arr[2]) <256) {} else {return "";}
	return arr[0] + "." + arr[1] + "." + arr[2] + ".1";
}

function GetFullIP(ipaddress)    {  
	var arr = ipaddress.split(".");
	if (parseInt(arr[0]) > 0 && parseInt(arr[0]) <256) {} else {return "";}
	if (parseInt(arr[1]) >= 0 && parseInt(arr[1]) <256) {} else {return "";}
	if (parseInt(arr[2]) >= 0 && parseInt(arr[2]) <256) {} else {return "";}
	if (parseInt(arr[3]) >= 0 && parseInt(arr[3]) <256) {} else {return "";}
	return arr[0] + "." + arr[1] + "." + arr[2] + "." + arr[3];
}

function GetFullListenIP(ipaddress, ipaddress2)    {  
	var arr = ipaddress.split(".");
	if (parseInt(arr[0]) > 0 && parseInt(arr[0]) <256) {} else {return "";}
	if (parseInt(arr[1]) >= 0 && parseInt(arr[1]) <256) {} else {return "";}
	if (parseInt(arr[2]) >= 0 && parseInt(arr[2]) <256) {} else {return "";}
	
	var arr2 = ipaddress2.split(".");
	if (parseInt(arr2[3]) >= 0 && parseInt(arr2[3]) <256) {} else {return "";}
	
	return arr[0] + "." + arr[1] + "." + arr[2] + "." + arr2[3];
}

function setLanIPClose() {
	$("#loading").fadeOut(500);
	$("#loadLANIP").fadeOut(500);
}

function setLanIP() {
	var newlanip = document.getElementById('currlanip').innerHTML;
	var newcrewip = document.getElementById('currcrewlanip').innerHTML;
	
	newlanip = newlanip.replace("LAN IP:&nbsp;<b>", "");
	newcrewip = newcrewip.replace("Crew IP:&nbsp;<b>", "");
	
	newlanip = newlanip.replace("</b>", "");
	newcrewip = newcrewip.replace("</b>", "");
	
	document.getElementById('newlanip').value = newlanip;
	document.getElementById('newcrewip').value = newcrewip;
	
	$("#loading").fadeIn(200);
	$("#loadLANIP").fadeIn(200);
}

function checkIP(val) {
	var ip = GetFullIP(document.getElementById('newlanip').value);
	if (val == 'LIST') {
		if (ip.length > 0) {
			document.getElementById('newcrewip').value = GetIPaddressListen(document.getElementById('newlanip').value);
		}
	} else if (val == "LISTSET") {
		if (ip.length > 0) {
			var tmp = ValidateIPaddress(document.getElementById('newlanip').value);
			if (tmp.length > 0) {
				document.getElementById('newlanip').value = tmp;
			}
		}
	} else if (val == 'CREW') {
		
	}
}

function saveCrewLan() {
	var lanip = ValidateIPaddress(document.getElementById('newlanip').value);
	var laniplistn = GetFullListenIP(lanip, document.getElementById('newcrewip').value);
	
	if (lanip != null) {} else {return;}
	if (lanip.length <= 0) {alert('Invalid LAN IP address.');}
	
	var laniplistn = GetFullIP(laniplistn);
	if (laniplistn.length <= 0) {laniplistn = GetIPaddressListen(lanip);}
		
	if (confirm("Set LAN IP to "+lanip+" and Crew IP to "+laniplistn+"?")) {
		var fact = 'lanset?ipnet='+lanip+'&iplisten='+laniplistn;
		
		document.getElementById('newlanip').value = lanip;
		document.getElementById('newcrewip').value = laniplistn;
		
		var noerror = true;
		var dhost = 'http://<?php echo (($_SERVER['SERVER_ADDR'] == "::1")?$localIP:$_SERVER['SERVER_ADDR']); ?>/cgi-bin/' + fact;
		
		$("#loading").fadeIn(200);
		$("#loadingmsgholder").fadeIn(200);
		$("#loadingmsg").html("Updating Crew LAN IP. Please wait.");
		
		var requestprevconfig;
		requestprevconfig = $.ajax({
			url: dhost,
			type: "get",
			data: { ipnet: lanip, iplisten: laniplistn },
			timeout: 30000
		});
	
		requestprevconfig.done(function (response, textStatus, jqXHR){
			if (noerror) {
				try {
					
					document.getElementById('currlanip').innerHTML = 'LAN IP:&nbsp;<b>' + lanip + '</b>';
					currLANIP = lanip;
					document.getElementById('currcrewlanip').innerHTML = 'Crew IP:&nbsp;<b>' + laniplistn + '</b>';
					
					document.getElementById('dorebootrouterlan').disabled=false;
					localStorage.setItem('dorebootrouterlan', "1");
					
					var showMsg = "LAN IP set to " + lanip + "\n";
					showMsg = showMsg +  "Crew IP set to " + laniplistn;
					saveLanSettingsSS(lanip,laniplistn);
					alert(showMsg + "\n\n" + "Please click the button 'Apply Crew LAN settings and Reboot Router'");
					
					setLanIPClose();
				
				} catch (e) {}
			}
		});
	
		requestprevconfig.fail(function (jqXHR, textStatus, errorThrown){
			noerror = false;
		});
	
		requestprevconfig.always(function () {
			requestprevconfig = null;
			
			$("#loading").fadeOut(500);
			$("#loadingmsgholder").fadeOut(500);
		});
	
	}
}

function setBusLanIP() {
	document.getElementById('bnetmask').value = prevnetmask;
	document.getElementById('bipaddr').value = prevbipaddr;
	document.getElementById('bgateway').value = prevgateway;
	document.getElementById('bbroadcast').value = prevbroadcast;
	
	document.getElementById('bdhcp').checked = (prevbdhcp == "Disabled")?false:true;
	document.getElementById('bdhcpstart').value = (prevbdhcp == "Disabled")?'':prevbdhcpstart;
	document.getElementById('bdhcpend').value = (prevbdhcp == "Disabled")?'':prevbdhcpend;
	
	document.getElementById('bdhcpstartDIV').innerHTML = GetstartIPaddress(prevbipaddr);
	document.getElementById('bdhcpendDIV').innerHTML = GetstartIPaddress(prevbipaddr);
	
	setStartnEnd();
	
	$("#loading").fadeIn(200);
	$("#loadBUSLANIP").fadeIn(200);
}

function setBusLanIPClose() {
	$("#loading").fadeOut(500);
	$("#loadBUSLANIP").fadeOut(500);
}

function setStartnEnd() {
	if (document.getElementById('bdhcp').checked) {
		document.getElementById('bdhcpstart').disabled = false;
		document.getElementById('bdhcpend').disabled = false;
	} else {
		document.getElementById('bdhcpstart').value = "";
		document.getElementById('bdhcpend').value = "";
		
		document.getElementById('bdhcpstart').disabled = true;
		document.getElementById('bdhcpend').disabled = true;
	}
}

function GetstartIPaddress(ipaddress)    {  
	var arr = ipaddress.split(".");
	if (parseInt(arr[0]) > 0 && parseInt(arr[0]) <256) {} else {return "";}
	if (parseInt(arr[1]) >= 0 && parseInt(arr[1]) <256) {} else {return "";}
	if (parseInt(arr[2]) >= 0 && parseInt(arr[2]) <256) {} else {return "";}
	return arr[0] + "." + arr[1] + "." + arr[2] + ".";
}

function BusIPChange() {
	var ip = GetFullIP(document.getElementById('bipaddr').value);
	if (ip.length > 0) {
		document.getElementById('bdhcpstartDIV').innerHTML = GetstartIPaddress(ip);
		document.getElementById('bdhcpendDIV').innerHTML = GetstartIPaddress(ip);
	} else {
		document.getElementById('bdhcpstartDIV').innerHTML = 'XXX.XXX.XXX.';
		document.getElementById('bdhcpendDIV').innerHTML = 'XXX.XXX.XXX.';
	}
}

function validateIPAdd(ipadd) {
	var arripsecs = ipadd.split('.');
	if (arripsecs.length != 4) {
		return false;
	} else {
		if ((arripsecs[0] >= 0) && (arripsecs[0] <= 255) &&
			(arripsecs[1] >= 0) && (arripsecs[1] <= 255) &&
			(arripsecs[2] >= 0) && (arripsecs[2] <= 255) &&
			(arripsecs[3] >= 0) && (arripsecs[3] <= 255)) {
			return true;
		} else {
			return false;
		}
	}
}

function doSaveBLAN() {
	if (confirm("Apply Business LAN changes?")) {
		
		var doCont = true;
		
		if ( !validateIPAdd(document.getElementById('bipaddr').value) ) {
			alert('Please correct the Business IP Address.');
			doCont = false;
		} else if ( !validateIPAdd(document.getElementById('bnetmask').value) ) {
			alert('Please correct the Subnet Mask.');
			doCont = false;
		} else if ( !validateIPAdd(document.getElementById('bgateway').value) ) {
			alert('Please correct the Gateway Address.');
			doCont = false;
		} else if ( !validateIPAdd(document.getElementById('bbroadcast').value) ) {
			alert('Please correct the Broadcast Address.');
			doCont = false;
		} else if (document.getElementById('bdhcp').checked) {
			if (document.getElementById('bdhcpstart').value.length == 0) {
				alert('Please correct the Start IP.');
				doCont = false;
			} else if (document.getElementById('bdhcpend').value.length == 0) {
				alert('Please correct the End IP.');
				doCont = false;
			} else if (parseInt(document.getElementById('bdhcpstart').value) <= 0 ||
				parseInt(document.getElementById('bdhcpstart').value) >= 256) {
				alert('Please correct the Start IP.');
				doCont = false;
			} else if (parseInt(document.getElementById('bdhcpend').value) <= 0 || parseInt(document.getElementById('bdhcpend').value) >= 256) {
				alert('Please correct the End IP.');
				doCont = false;
			} else if (parseInt(document.getElementById('bdhcpstart').value) >= parseInt(document.getElementById('bdhcpend').value)) {
				alert('Please correct the Start and End IP.');
				doCont = false;
			}
		}
		
		if (doCont) {
			saveBLAN();
		}
	
	}
}

function saveBLAN() {
	var fact = 'buslan?SET&ipaddr=' + document.getElementById('bipaddr').value + '&netmask=' + document.getElementById('bnetmask').value + '&gateway=' +
		document.getElementById('bgateway').value + '&broadcast=' + document.getElementById('bbroadcast').value; // + '&dns=8.8.8.8';
	var noerror = true;
	var dhost = 'http://<?php echo (($_SERVER['SERVER_ADDR'] == "::1")?$localIP:$_SERVER['SERVER_ADDR']); ?>/cgi-bin/' + fact;
	
	$("#loading").fadeIn(200);
	$("#loadingmsgholder").fadeIn(200);
	$("#loadingmsg").html("Updating Business LAN. Please wait.");
	
	var requestprevconfig;
	requestprevconfig = $.ajax({
		url: dhost,
		type: "get",
		timeout: 30000
	});

	requestprevconfig.done(function (response, textStatus, jqXHR){
		if (noerror) {
			try {
			
				prevnetmask = document.getElementById('bnetmask').value;
				prevbipaddr = document.getElementById('bipaddr').value;
				prevgateway = document.getElementById('bgateway').value;
				prevbroadcast = document.getElementById('bbroadcast').value;
				
				document.getElementById('currnebipaddr').innerHTML = 'IP Address:&nbsp;<b>' + prevbipaddr + '</b>';
				document.getElementById('currnetmask').innerHTML = 'Subnet Mask:&nbsp;<b>' + prevnetmask + '</b>';
				document.getElementById('currgateway').innerHTML = 'Gateway Address:&nbsp;<b>' + prevgateway + '</b>';
				document.getElementById('currbroadcast').innerHTML = 'Broadcast Address:&nbsp;<b>' + prevbroadcast + '</b>';
			
			} catch (e) {}
		}
	});

	requestprevconfig.fail(function (jqXHR, textStatus, errorThrown){
		noerror = false;
		
		<?php if ($GLOBALS['isprod']) {} else { ?>
		//TEMP
		prevnetmask = document.getElementById('bnetmask').value;
		prevbipaddr = document.getElementById('bipaddr').value;
		prevgateway = document.getElementById('bgateway').value;
		prevbroadcast = document.getElementById('bbroadcast').value;
		
		document.getElementById('currnebipaddr').innerHTML = 'IP Address:&nbsp;<b>' + prevbipaddr + '</b>';
		document.getElementById('currnetmask').innerHTML = 'Subnet Mask:&nbsp;<b>' + prevnetmask + '</b>';
		document.getElementById('currgateway').innerHTML = 'Gateway Address:&nbsp;<b>' + prevgateway + '</b>';
		document.getElementById('currbroadcast').innerHTML = 'Broadcast Address:&nbsp;<b>' + prevbroadcast + '</b>';
		//TEMP
		<?php } ?>
	});

	requestprevconfig.always(function () {
		requestprevconfig = null;
		
		saveBDHCP();
	});
}

function saveBDHCP() {
	var setDHCP = '0';
	var setIPStart;
	var setIPEnd;
	setIPStart = document.getElementById('bdhcpstart').value;
	if (setIPStart.length == 0) {setIPStart = '100';}
	setIPEnd = document.getElementById('bdhcpend').value;
	if (setIPEnd.length == 0) {setIPEnd = '250';}
	if (document.getElementById('bdhcp').checked) {
		setDHCP = '1';
	} else {
		setDHCP = '0';
		setIPStart = '100';
		setIPEnd = '250';
	}

	var fact = 'buslan?SET_DHCP&dhcp=' + setDHCP + '&start=' + setIPStart + '&end=' + setIPEnd;
	var noerror = true;
	var dhost = 'http://<?php echo (($_SERVER['SERVER_ADDR'] == "::1")?$localIP:$_SERVER['SERVER_ADDR']); ?>/cgi-bin/' + fact;
	
	var requestprevconfig;
	requestprevconfig = $.ajax({
		url: dhost,
		type: "get",
		timeout: 30000
	});

	requestprevconfig.done(function (response, textStatus, jqXHR){
		if (noerror) {
			try {
			
				if (document.getElementById('bdhcp').checked) {
					prevbdhcp = 'Enabled';
				} else {
					prevbdhcp = 'Disabled';
				}
				prevbdhcpstart = setIPStart;
				prevbdhcpend = setIPEnd;
				
				document.getElementById('currbdhcp').innerHTML = 'DHCP:&nbsp;<b>' + prevbdhcp + '</b>';
				var tmp = "";
				if (prevbdhcp=="Disabled") {
					tmp = 'Start IP:&nbsp;<b>N/A</b>';
				} else if (prevbdhcpstart.length > 0) {
					tmp = 'Start IP:&nbsp;<b>' + prevbdhcpstart + '</b>';
				} else {
					tmp = 'Start IP:&nbsp;<b>N/A</b>';
				}
				document.getElementById('currbdhcpstart').innerHTML = tmp;
				tmp = "";
				if (prevbdhcp=="Disabled") {
					tmp = 'End IP:&nbsp;<b>N/A</b>';
				} else if (prevbdhcpend.length > 0) {
					tmp = 'End IP:&nbsp;<b>' + prevbdhcpend + '</b>';
				} else {
					tmp = 'End IP:&nbsp;<b>N/A</b>';
				}
				document.getElementById('currbdhcpend').innerHTML = tmp;
				
				document.getElementById('dorebootrouterlan').disabled=false;
				localStorage.setItem('dorebootrouterlan', "1");
				
				alert("Business LAN Settings updated.\n\n" + "Please click the button 'Apply LAN Settings and Reboot Router'");
				
				setBusLanIPClose();
			
			} catch (e) {}
		}
	});

	requestprevconfig.fail(function (jqXHR, textStatus, errorThrown){
		noerror = false;
		
		<?php if ($GLOBALS['isprod']) {} else { ?>
		//TEMP
		if (document.getElementById('bdhcp').checked) {
			prevbdhcp = 'Enabled';
		} else {
			prevbdhcp = 'Disabled';
		}
		prevbdhcpstart = setIPStart;
		prevbdhcpend = setIPEnd;
		
		document.getElementById('currbdhcp').innerHTML = 'DHCP:&nbsp;<b>' + prevbdhcp + '</b>';
		var tmp = "";
		if (prevbdhcp=="Disabled") {
			tmp = 'Start IP:&nbsp;<b>N/A</b>';
		} else if (prevbdhcpstart.length > 0) {
			tmp = 'Start IP:&nbsp;<b>' + prevbdhcpstart + '</b>';
		} else {
			tmp = 'Start IP:&nbsp;<b>N/A</b>';
		}
		document.getElementById('currbdhcpstart').innerHTML = tmp;
		tmp = "";
		if (prevbdhcp=="Disabled") {
			tmp = 'End IP:&nbsp;<b>N/A</b>';
		} else if (prevbdhcpend.length > 0) {
			tmp = 'End IP:&nbsp;<b>' + prevbdhcpend + '</b>';
		} else {
			tmp = 'End IP:&nbsp;<b>N/A</b>';
		}
		document.getElementById('currbdhcpend').innerHTML = tmp;
		
		document.getElementById('dorebootrouterlan').disabled=false;
		localStorage.setItem('dorebootrouterlan', "1");
		
		alert("Business LAN Settings updated.\n\n" + "Please click the button 'Apply LAN Settings and Reboot Router'");
		
		setBusLanIPClose();
		//TEMP
		<?php } ?>
	});

	requestprevconfig.always(function () {
		requestprevconfig = null;
		
		$("#loading").fadeOut(500);
		$("#loadingmsgholder").fadeOut(500);
	});
}

function saveLanSettingsSS(lanIP,crewIP){
	var dhost = '<?php echo $GLOBALS['SERVERURL']; ?>' + 'api/lib/vessel_lan.php';	
	var params = {
		macid	: "<?php echo $GLOBALS['macid'];?>",		
		lanip	: lanIP,
		crewip	: crewIP,
		vessid	: '',
		proc	: '1',
	}

	$.ajax({
		url: dhost,
		type: 'POST',		
		data: params,
	})
	.done(function(e) {
		if(e.code == '200' || e.code == 200){
			console.log('saved');
		}else{
			console.log('Error');
		}
	})
	.fail(function() {
		console.log("error");
	})
	.always(function() {
		console.log("complete");
	});
}
</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/cccline.png" id="cccline" width="280" height="40">
<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/ccctext.png" id="ccctext" >

<table width="800" id="shipconfig" border="0" cellspacing="0" cellpadding="8" align="center">
  <tr>
    <td bgcolor="#464B4F" style="border-top-left-radius:10px;border-top-right-radius:10px;" colspan="2" align="center"><font color="#FFFFFF"><B>Crew LAN settings</B></font></td></tr>
  <tr><td width="273" height="10" align="center"></td></tr>
  <tr><td colspan="2">
  <div class="system-info">
        <div class="system-info__contents">
          <div class="row-fluid">
            <div class="col-md-4">
              <div class="system-info-features" >
                <table style="width:100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                    <td width="50%" valign="top">
                        <table style="width:100%" border="0" cellspacing="0" cellpadding="0">
                            <tr style="display:none">
                                <td>
                                <b>Crew LAN</b>
                                </td>
                            </tr>
                            <tr>
                                <td style="padding:10px 0;">
                                <p id="currlanip">LAN IP:&nbsp;<b><?php echo ((strlen($GLOBALS['prevlan']) > 0)?$GLOBALS['prevlan']:"NONE"); ?></b></p>
                                <?php //<p id="currcrewlanip">Crew IP:&nbsp;<b><?php echo (($_SERVER['SERVER_ADDR'] == "::1")?$localIP:$_SERVER['SERVER_ADDR']); </b></p>*/?>
                                <p id="currcrewlanip">Crew IP:&nbsp;<b><?php echo _getPrevLAN(); ?></b></p>
                                </td>
                            </tr>
                            <tr>
                                <td style="padding:10px 0;">
                                <input type="button" value="Set Crew LAN" onClick="setLanIP();" style="width:375px">
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td>
                        <table style="width:100%; display:none" border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                    <td>
                                    <b>Business LAN</b>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="padding:10px 0;">
                                    <p id="currnebipaddr">IP Address:&nbsp;<b><?php echo ((strlen($GLOBALS['prevbipaddr']) > 0)?$GLOBALS['prevbipaddr']:""); ?></b></p>
                                    <p id="currnetmask">Subnet Mask:&nbsp;<b><?php echo ((strlen($GLOBALS['prevnetmask']) > 0)?$GLOBALS['prevnetmask']:""); ?></b></p>
                                    <p id="currgateway">Gateway Address:&nbsp;<b><?php echo ((strlen($GLOBALS['prevgateway']) > 0)?$GLOBALS['prevgateway']:""); ?></b></p>
                                    <p id="currbroadcast">Broadcast Address:&nbsp;<b><?php echo ((strlen($GLOBALS['prevbroadcast']) > 0)?$GLOBALS['prevbroadcast']:""); ?></b></p>
                                    <p id="currbdhcp">DHCP:&nbsp;<b><?php echo ((strlen($GLOBALS['prevbdhcp']) > 0)?$GLOBALS['prevbdhcp']:""); ?></b></p>
                                    <p id="currbdhcpstart">Start IP:&nbsp;<b><?php echo ($GLOBALS['prevbdhcp']=="Disabled")?"N/A":((strlen($GLOBALS['prevbdhcpstart']) > 0)?$GLOBALS['prevbdhcpstart']:"N/A"); ?></b></p>
                                    <p id="currbdhcpend">End IP:&nbsp;<b><?php echo ($GLOBALS['prevbdhcp']=="Disabled")?"N/A":((strlen($GLOBALS['prevbdhcpend']) > 0)?$GLOBALS['prevbdhcpend']:"N/A"); ?></b></p>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="padding:10px 0;">
                                    <input type="button" value="Set Business LAN" onClick="setBusLanIP();" style="width:280px">
                                    </td>
                                </tr>
                        </table>
                    </td>
                    </tr>
                    <tr> <!--align="center"-->
                        <td style="padding:10px 0;" class="rebootTD" colspan="2">
                        <input type="button" id="dorebootrouterlan" name="dorebootrouterlan" disabled="disabled" value="Apply Crew LAN settings and Reboot Router" onClick="rebootTerminal();" style="width:375px">
                        </td>
                    </tr>
              	</table>
                
                
                <!--<table style="width:100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td>
                    <b>Crew LAN</b>
                    </td>
                </tr>
                <tr>
                    <td style="padding:10px 0;">
                    <p id="currlanip">LAN IP:&nbsp;<b><?php echo ((strlen($GLOBALS['prevlan']) > 0)?$GLOBALS['prevlan']:"NONE"); ?></b></p>
                    <p id="currcrewlanip">Crew IP:&nbsp;<b><?php echo (($_SERVER['SERVER_ADDR'] == "::1")?$localIP:$_SERVER['SERVER_ADDR']); ?></b></p>
                    </td>
                </tr>
                <tr>
                    <td style="padding:10px 0;">
                    <input type="button" value="Set Crew LAN" class="button-tab" onClick="setLanIP();" style="width:280px">
                    </td>
                </tr>
                
                <tr>
                    <td>
                    <b>Business LAN</b>
                    </td>
                </tr>
                <tr>
                    <td style="padding:10px 0;">
                    <p id="currnebipaddr">IP Address:&nbsp;<b><?php echo ((strlen($GLOBALS['prevbipaddr']) > 0)?$GLOBALS['prevbipaddr']:""); ?></b></p>
                    <p id="currnetmask">Subnet Mask:&nbsp;<b><?php echo ((strlen($GLOBALS['prevnetmask']) > 0)?$GLOBALS['prevnetmask']:""); ?></b></p>
                    <p id="currgateway">Gateway Address:&nbsp;<b><?php echo ((strlen($GLOBALS['prevgateway']) > 0)?$GLOBALS['prevgateway']:""); ?></b></p>
                    <p id="currbroadcast">Broadcast Address:&nbsp;<b><?php echo ((strlen($GLOBALS['prevbroadcast']) > 0)?$GLOBALS['prevbroadcast']:""); ?></b></p>
                    <p id="currbdhcp">DHCP:&nbsp;<b><?php echo ((strlen($GLOBALS['prevbdhcp']) > 0)?$GLOBALS['prevbdhcp']:""); ?></b></p>
                    <p id="currbdhcpstart">Start IP:&nbsp;<b><?php echo ($GLOBALS['prevbdhcp']=="Disabled")?"N/A":((strlen($GLOBALS['prevbdhcpstart']) > 0)?$GLOBALS['prevbdhcpstart']:"N/A"); ?></b></p>
                    <p id="currbdhcpend">End IP:&nbsp;<b><?php echo ($GLOBALS['prevbdhcp']=="Disabled")?"N/A":((strlen($GLOBALS['prevbdhcpend']) > 0)?$GLOBALS['prevbdhcpend']:"N/A"); ?></b></p>
                    </td>
                </tr>
                <tr>
                    <td style="padding:10px 0;">
                    <input type="button" value="Set Business LAN" class="button-tab" onClick="setBusLanIP();" style="width:280px">
                    </td>
                </tr>
                
                <tr>
                    <td style="padding:10px 0;" class="rebootTD">
                    <input type="button" id="dorebootrouterlan" name="dorebootrouterlan" disabled="disabled" value="Apply Crew LAN settings and Reboot Router" class="button-tab" onClick="rebootTerminal();" style="width:280px">
                    </td>
                </tr>
                </table>-->
              </div>
            </div>
          </div>
          <div class="clearfix"></div>
          <!-- dynamic -->
        </div>
    </div>
  </td></tr>
  <tr><td height="10" align="center"></td></tr>
</table>

<table id="configtable" style="table-layout: fixed; width: 800" border="0" cellspacing="5" cellpadding="5" align="center">

</table><BR><BR>

<?php include "mm.php"; ?>

<?php $dnslist = getDNSList(); ?>

</body>
</html>
<div id="loadLANIP" class="SatComListTblcls" style="display: none; position:absolute; left: 50%; top: 50%; width: 550px;
    margin-left: -275px; top: 30%; z-index: 105;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -mox-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    "
    align="center">
    
    <table id="SetLANIPTbl" style="width:550; border:1px solid #000000 " border="0" cellspacing="2" cellpadding="2" bgcolor="#FFFFFF">
        <tr>
        	<td colspan="4">&nbsp;
            	
            </td>
        </tr>
        
         <tr>
        	<td colspan="4" align="center">
            	<strong>&nbsp;&nbsp;Set Crew LAN</strong>
            </td>
        </tr>
        
        <tr>
        	<td width="20%" align="right">&nbsp;</td>
        	<td width="12%" align="right">
            	LAN&nbsp;IP:&nbsp;</td>
            <td width="48%">
            	<input type="text" style="width:100%" class="ip_address" id="newlanip" name="newlanip" onKeyUp="checkIP('LIST');" onBlur="checkIP('LISTSET');">
            </td>
            <td width="20%" align="right">&nbsp;</td>
        </tr>
        <tr>
        	<td align="right">&nbsp;</td>
        	<td align="right">
            	Crew&nbsp;IP:&nbsp;</td>
            <td>
            	<input type="text" style="width:100%" class="ip_address" id="newcrewip" name="newcrewip" onKeyUp="checkIP('CREW');">
            </td>
            <td align="right">&nbsp;</td>
        </tr>
        
        <tr><td colspan="4" align="center">
        	<input type="button" name="dnsapply" id="dnsapply" value="Apply" onClick="saveCrewLan();">
            &nbsp;&nbsp;
            <input type="button" name="dnscancel" id="dnscancel" value="Cancel" onClick="setLanIPClose();">
        </td></tr>
        
        <tr>
        	<td colspan="4">&nbsp;
            	
            </td>
        </tr>
    </table>
</div>

<div id="loadBUSLANIP" class="SatComListTblcls" style="display: none; position:absolute; left: 50%; top: 50%; width: 550px;
    margin-left: -275px; top: 30%; z-index: 105;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -mox-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    "
    align="center">
    
    <table id="SetBusLANIPTbl" style="width:550; border:1px solid #000000 " border="0" cellspacing="2" cellpadding="2" bgcolor="#FFFFFF">
        <tr>
        	<td colspan="4">&nbsp;
            	
            </td>
        </tr>
        
         <tr>
        	<td colspan="4" align="center">
            	<strong>&nbsp;&nbsp;Set Business LAN</strong>
            </td>
        </tr>
        
        <tr>
        	<td width="17%" align="right">&nbsp;</td>
        	<td width="24%" align="right">
            	IP&nbsp;Address:&nbsp;</td>
            <td width="43%">
            	<input type="text" style="width:100%" id="bipaddr" name="bipaddr" onKeyUp="BusIPChange();">
            </td>
            <td width="16%" align="right">&nbsp;</td>
        </tr>
        <tr>
        	<td align="right">&nbsp;</td>
        	<td align="right">
            	Subnet&nbsp;Mask:&nbsp;</td>
            <td>
            	<input type="text" style="width:100%" id="bnetmask" name="bnetmask">
            </td>
            <td align="right">&nbsp;</td>
        </tr>
        <tr>
        	<td align="right">&nbsp;</td>
        	<td align="right">
            	Gateway&nbsp;Address:&nbsp;</td>
            <td>
            	<input type="text" style="width:100%" id="bgateway" name="bgateway">
            </td>
            <td align="right">&nbsp;</td>
        </tr>
        <tr>
        	<td align="right">&nbsp;</td>
        	<td align="right">
            	Broadcast&nbsp;Address:&nbsp;</td>
            <td>
            	<input type="text" style="width:100%" id="bbroadcast" name="bbroadcast">
            </td>
            <td align="right">&nbsp;</td>
        </tr>
        <tr>
        	<td align="right">&nbsp;</td>
        	<td align="right">
            	DHCP:&nbsp;</td>
            <td>
            	<input type="checkbox" id="bdhcp" name="bdhcp" onChange="setStartnEnd();">
            </td>
            <td align="right">&nbsp;</td>
        </tr>
        <tr>
        	<td align="right">&nbsp;</td>
        	<td align="right">
            	Start&nbsp;IP:&nbsp;</td>
            <td>
            	<label id="bdhcpstartDIV" name="bdhcpstartDIV">XXX.XXX.XXX.</label><input type="text" style="width:30%" id="bdhcpstart" name="bdhcpstart" maxlength="3">
            </td>
            <td align="right">&nbsp;</td>
        </tr>
        <tr>
        	<td align="right">&nbsp;</td>
        	<td align="right">
            	End&nbsp;IP:&nbsp;</td>
            <td>
            	<label id="bdhcpendDIV" name="bdhcpendDIV">XXX.XXX.XXX.</label><input type="text" style="width:30%" id="bdhcpend" name="bdhcpend" maxlength="3">
            </td>
            <td align="right">&nbsp;</td>
        </tr>
        
        <tr><td colspan="4" align="center">
        	<input type="button" name="dnsapply" id="dnsapply" value="Apply" onClick="doSaveBLAN();">
            &nbsp;&nbsp;
            <input type="button" name="dnscancel" id="dnscancel" value="Cancel" onClick="setBusLanIPClose();">
        </td></tr>
        
        <tr>
        	<td colspan="4">&nbsp;
            	
            </td>
        </tr>
    </table>
</div>

<div id="loadingmsgholder" style="display: none; position:absolute; left: 50%; top: 50%; width: 450px;
    margin-left: -225px; top: 30%; z-index: 105;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -mox-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    "
    align="center">
    <table width="450" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF"
      style="font-family:Arial, sans-serif; font-size:14px; color:#111">
      <tr>
        <td width="18">&nbsp;</td>
        <td width="363">&nbsp;</td>
        <td width="19">&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="center">
        <span id="loadingmsg">Loading... Your request is being processed, please wait.</span>
        </td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </table>
</div>
<div id="loading" style="display: none;height:100%;width:100%;position:fixed;
    left:0;top:0;z-index:101 !important;background-color:#062544;
    filter: alpha(opacity=0); /* internet explorer */
    -khtml-opacity: 0;      /* khtml, old safari */
    -moz-opacity: 0;       /* mozilla, netscape */
    opacity: 0;           /* fx, safari, opera */
    ">
</div>
<script>
var doR = localStorage.getItem('dorebootrouterlan');
if ((doR != null) && doR == "1") {
	document.getElementById('dorebootrouterlan').disabled=false;
}

$(document).ready(function () {
	$("#bdhcpstart").keypress(function (e) {
		var keyCode = e.keyCode || e.which;
		var regex = new RegExp("^[0-9]+$");
		var str = String.fromCharCode(!e.charCode ? e.which : e.charCode);
		if (regex.test(str)) {
			return true;
		}
		
		e.preventDefault();
		return false;
	});
	$("#bdhcpend").keypress(function (e) {
		var keyCode = e.keyCode || e.which;
		var regex = new RegExp("^[0-9]+$");
		var str = String.fromCharCode(!e.charCode ? e.which : e.charCode);
		if (regex.test(str)) {
			return true;
		}
		
		e.preventDefault();
		return false;
	});
	
	$('#newlanip').mask("099.099.099.099");
	$('#newcrewip').mask("099.099.099.099");
	
	$('#bipaddr').mask("099.099.099.099");
	$('#bnetmask').mask("099.099.099.099");
	$('#bgateway').mask("099.099.099.099");
	$('#bbroadcast').mask("099.099.099.099");
});
</script>