<?php
	error_reporting(0);
	
	header('Connection: close');
	
	function GetIP() {
	   if (getenv("HTTP_CLIENT_IP") && strcasecmp(getenv("HTTP_CLIENT_IP"), "unknown"))
		   $ip = getenv("HTTP_CLIENT_IP");
	   else if (getenv("HTTP_X_FORWARDED_FOR") && strcasecmp(getenv("HTTP_X_FORWARDED_FOR"), "unknown"))
		   $ip = getenv("HTTP_X_FORWARDED_FOR");
	   else if (getenv("REMOTE_ADDR") && strcasecmp(getenv("REMOTE_ADDR"), "unknown"))
		   $ip = getenv("REMOTE_ADDR");
	   else if (isset($_SERVER['REMOTE_ADDR']) && $_SERVER['REMOTE_ADDR'] && strcasecmp($_SERVER['REMOTE_ADDR'], "unknown"))
		   $ip = $_SERVER['REMOTE_ADDR'];
	   else
		   $ip = "unknown";
	   return $ip;
	}
	
	function humanTiming ($time) {
			
		$time = time() - $time; // to get the time since that moment
		$time = ($time<1)? 1 : $time;
		$tokens = array (
			31536000 => 'year',
			2592000 => 'month',
			604800 => 'week',
			86400 => 'day',
			3600 => 'hour',
			60 => 'minute',
			1 => 'second'
		);
	
		foreach ($tokens as $unit => $text) {
			if ($time < $unit) continue;
			$numberOfUnits = floor($time / $unit);
			return $numberOfUnits.' '.$text.(($numberOfUnits>1)?'s':'');
		}
	
	}
	
	$sessionip = GetIP();
	if ($sessionip == "::1") {$sessionip = "127.0.0.1";}
	$sessionip = preg_replace('/[^\da-z]/i', '', $sessionip);
	if ((strpos($_SERVER['SERVER_NAME'], "crewmailonline.com") !== false)) {
		$sessionip = "unknown";
	}
	/*if ($sessionip == "unknown") {} else {
		session_id($sessionip);
	}*/
	
	session_start();
	
	$lact = "10000"; //$gotoPage = "login.php";
	if (isset($_POST['act'])) {
		$lact = stripslashes( $_POST['act'] );
	} else if (isset($_GET['act'])) {
		$lact = stripslashes( $_GET['act'] );
	}
	
	$dir = "";
	if (isset($_POST['dir'])) {
		$dir = stripslashes( $_POST['dir'] );
	} else if (isset($_GET['dir'])) {
		$dir = stripslashes( $_GET['dir'] );
	}
	
	$addURLParam = ""; $topage = "login.php";
	if ($dir == "d") {
		$addURLParam = "../d/";
	} else if ($dir == "c") {
		$dir = "d";
		$addURLParam = "../d/";
		$topage = "portal.php";
	}
	
	$gotoPage = $addURLParam . $topage; //"login.php";
	include "servlocalfiles.php";
	
	if (!(is_numeric($lact))) {
		$macid = "";
		if (isset($_POST['macid'])) {
			$macid = stripslashes( $_POST['macid'] );
		} else if (isset($_GET['macid'])) {
			$macid = stripslashes( $_GET['macid'] );
		}
		$api_key = "";
		if (isset($_POST['api_key'])) {
			$api_key = stripslashes( $_POST['api_key'] );
		} else if (isset($_GET['api_key'])) {
			$api_key = stripslashes( $_GET['api_key'] );
		}
		$log = "";
		if (isset($_POST['log'])) {
			$log = stripslashes( $_POST['log'] );
		} else if (isset($_GET['log'])) {
			$log = stripslashes( $_GET['log'] );
		}
		$cssid = "";
		if (isset($_POST['cssid'])) {
			$cssid = stripslashes( $_POST['cssid'] );
		} else if (isset($_GET['cssid'])) {
			$cssid = stripslashes( $_GET['cssid'] );
		}
		$csipadd = "";
		if (isset($_GET['csipadd'])) {
			$csipadd = stripslashes( $_GET['csipadd'] );
		}
		
		$newsdate = "";
		if (isset($_POST['newsdate'])) {
			$newsdate = stripslashes( $_POST['newsdate'] );
		} else if (isset($_GET['newsdate'])) {
			$newsdate = stripslashes( $_GET['newsdate'] );
		}
		$newslogin = "";
		if (isset($_POST['newslogin'])) {
			$newslogin = stripslashes( $_POST['newslogin'] );
		} else if (isset($_GET['newslogin'])) {
			$newslogin = stripslashes( $_GET['newslogin'] );
		}
		$newsid = "";
		if (isset($_POST['newsid'])) {
			$newsid = stripslashes( $_POST['newsid'] );
		} else if (isset($_GET['newsid'])) {
			$newsid = stripslashes( $_GET['newsid'] );
		}
		$newsheader = "";
		if (isset($_POST['newsheader'])) {
			$newsheader = stripslashes( $_POST['newsheader'] );
		} else if (isset($_GET['newsheader'])) {
			$newsheader = stripslashes( $_GET['newsheader'] );
		}
		$newscountry = "";
		if (isset($_POST['newscountry'])) {
			$newscountry = stripslashes( $_POST['newscountry'] );
		} else if (isset($_GET['newscountry'])) {
			$newscountry = stripslashes( $_GET['newscountry'] );
		}
		$newscategory = "";
		if (isset($_POST['newscategory'])) {
			$newscategory = stripslashes( $_POST['newscategory'] );
		} else if (isset($_GET['newscategory'])) {
			$newscategory = stripslashes( $_GET['newscategory'] );
		}
		$newsfname = "";
		if (isset($_POST['newsfname'])) {
			$newsfname = stripslashes( $_POST['newsfname'] );
		} else if (isset($_GET['newsfname'])) {
			$newsfname = stripslashes( $_GET['newsfname'] );
		}
		switch ($lact) {
			case "getVesselSettings":
				$postData = array(
					'macid' => $macid,
					'api_key' => $api_key,
					'log' => $log,
					'cssid' => $cssid
				);
				$url = "http://" . $csipadd . ':10990/smsglobal/api/rest/requestvesselinfo';
				echo getVesselSettings($postData, $url);
				break;
			case "getVesselConfig":
				$postData = array(
					'macid' => $macid,
					'api_key' => $api_key,
					'log' => $log,
					'cssid' => $cssid
				);
				$url = "http://" . $csipadd . ':10990/smsglobal/api/rest/getshipconfig';
				echo getVesselConfig($postData, $url);
				break;
			case "getLoginHeadlines":
				$postData = array(
					'macid' => $macid,
					'api_key' => $api_key,
					'newsdate' => $newsdate,
					'newslogin' => $newslogin,
					'newsid' => $newsid,
					'newsheader' => $newsheader,
					'newscountry' => $newscountry,
					'newscategory' => $newscategory,
					'log' => $log,
					'cssid' => $cssid
				);
				
				$newsdateTMP = $newsdate;
				if ((($newslogin == "1") || ($newslogin == 1)) || (($newslogin == "2") || ($newslogin == 2))) {
					$newsdateTMP = $newsdateTMP . $newslogin;
				}
				
				$reqName = base64_encode($newsfname); //base64_encode($newsdate . $newslogin . $newsid . $newsheader . $newscountry . $newscategory);
				$url = "http://" . $csipadd . ':10990/smsglobal/api/rest/requestnews';
				echo getLoginHeadlines($postData, $url, $reqName, $newsdateTMP);
				break;
			case "getticker2":
				$postData = array(
					'macid' => $macid,
					'api_key' => $api_key,
					'log' => $log,
					'cssid' => $cssid
				);
				$url = "http://" . $csipadd . ':10990/smsglobal/api/rest/getticker2';
				echo getUnreadMessages($postData, $url);
				break;
		}
	} else if (($lact == "1") || ($lact == 1)) { //Save session to ship server
		if ((isset($_POST['uid'])) && (isset($_POST['upass']))) {
			if ($topage == "portal.php") {
				$gotoPage = $addURLParam . "dashboard.php";
			} else {
				$gotoPage = $addURLParam . "landing.php";
			}
			
			$_SESSION['uid'] = stripslashes( $_POST['uid'] );
			$_SESSION['upass'] = stripslashes( $_POST['upass'] );
		}
		
		session_write_close();
		
		echo $gotoPage;
	} else if (($lact == "0") || ($lact == 0)) {
		//unset( $_SESSION['uid'] );
		
		$_SESSION['upass'] = "";
		unset( $_SESSION['upass'] );
		
		$_SESSION['userloggingoff'] = "1";
		$_SESSION['prevDir'] = $dir;
		
		session_write_close();
		
		sleep(3);
		
		//echo $sessionip;
		if (/*(strpos($_SERVER['HTTP_HOST'], "crewmailonline.com") !== false) || */(strpos($_SERVER['SERVER_NAME'], "crewmailonline.com") !== false)) {
			$sessionip = "unknown";
		}
		if (($sessionip == "127.0.0.1") || ($sessionip == "localhost") || ($sessionip == "127001") || ($sessionip == "unknown")) {
			header("Location: " . $addURLParam . $topage); //"login.php"
			//echo "LOCAL " . $addURLParam . $topage;
		} else {
			header("Location: http://".(($_SERVER['SERVER_ADDR'] == "::1")?"localhost":$_SERVER['SERVER_ADDR']).":3990/logoff");
			//echo "REMOTE http://". (($_SERVER['SERVER_ADDR'] == "::1")?"localhost":$_SERVER['SERVER_ADDR']) .":3990/logoff";
		}
	} else if (($lact == "999") || ($lact == 999)) { //Network params
		echo "res<>" . ((isset($_SESSION['res']) && (strlen($_SESSION['res']) > 0))?$_SESSION['res']:"notyet") . "::::";
		echo "uamip<>" . ((isset($_SESSION['uamip']) && (strlen($_SESSION['uamip']) > 0))?$_SESSION['uamip']:$_SERVER['SERVER_ADDR']) . "::::";
		echo "uamport<>" . ((isset($_SESSION['uamport']) && (strlen($_SESSION['uamport']) > 0))?$_SESSION['uamport']:"3990") . "::::";
		echo "challenge<>" . $_SESSION['challenge'] . "::::";
		echo "called<>" . $_SESSION['called'] . "::::";
		echo "mac<>" . $_SESSION['mac'] . "::::";
		echo "ip<>" . $_SESSION['ip'] . "::::";
		echo "nasid<>" . $_SESSION['nasid'] . "::::";
		echo "sessionid<>" . $_SESSION['sessionid'] . "::::";
		echo "userurl<>" . $_SESSION['userurl'] . "::::";
		echo "md<>" . $_SESSION['md'];
	} else if (($lact == "2") || ($lact == 2)) { //Save ticker check time
		$lastUMCheck = "N/A";
	
		$reqName = base64_encode("getticker2");
		$response = getLocalFileData($reqName);
		
		$responseArr = explode("[DEL]", base64_decode($response));
		$lastUMCheck = $responseArr[0];
		
		if (strlen($lastUMCheck) > 0) {
			//$lastUMCheckArr = date_parse_from_format("YmdHis", $lastUMCheck);
			$date = date_create($lastUMCheck); //$lastUMCheckArr['year'] + "-" + $lastUMCheckArr['month'] + "-" + $lastUMCheckArr['day'] + " " + $lastUMCheckArr['hour'] + ":" + $lastUMCheckArr['minute'] + ":" + $lastUMCheckArr['second']);
			$lastUMCheck = date_format($date,"Y-m-d h:i:s A");
			$time = strtotime($lastUMCheck);
			$time = $time - (30 * 60);
			
			$lastUMCheck = humanTiming($time) . " ago" ;
			
			$time = time() - $time; // to get the time since that moment
			$time = ($time<1)? 1 : $time;
			$lastUMCheck = $time;
		}
		
		echo $lastUMCheck;
	}
?>