<script language="javascript">

	if(typeof __dhostmail == "undefined"){
		var __dhostmail = host.replace('[CHANGEIP]', checkServerConnection()) + 'api/rest/'; //patrick
	}

	$('#reload-form').submit(function(e){
		e.preventDefault();
		return false;
	});


	$('#btnReload').on('click',function(e){

		e.preventDefault();

		var reloadnumber_var = ($('#txtReloadnumber').val()).replace(/\s/g,''),
			vconfig_server_credittype 	= 1,
			reloadchatvalue_var 		= 30,
			reloadchattype_var 			= 'Data',
			testAlpha = new RegExp(/^[a-z0-9]+$/i);



		if(testAlpha.test(reloadnumber_var) && reloadnumber_var.length == 16)
		{
			sweetAlert({
					title: "Add Credits",
					text: 'You have entered ' + reloadnumber_var + '\nClick "OK" to confirm or "Cancel" to change.',
					showCancelButton: true,
					confirmButtonText: "OK",
					cancelButtonText: "Cancel",
					closeOnConfirm: true,
					closeOnCancel: true 
				},
				
				function(isConfirm){
					
					if (isConfirm) {
						$('.portal-settings').block({message:'Processing request, please wait'});

						document.getElementById('btnReload').value = 'Reloading...';
						
						var noerror = true;
						var uid = '<?php echo (isset($_SESSION['uid'])?$_SESSION['uid']:""); ?>';
						//var dhost = '<?php //echo $GLOBALS['SERVERURL']; ?>' + 'api/rest/sendreload';
						var dhost = '<?php echo $GLOBALS['SERVERURL']; ?>'.replace('[CHANGEIP]', checkServerConnection()) + 'api/rest/sendreload';
						
						var requestapi;
						requestapi = $.ajax({
							url: dhost,
							type: "post",
							data: { loginid:uid,
									reloadnumber:reloadnumber_var,
									reloadchatvalue:reloadchatvalue_var,
									reloadchattype:reloadchattype_var<?php echo urladdparams(); ?>+""+getSession() },
							timeout: 30000
						});
						
						requestapi.done(function (response, textStatus, jqXHR){
							if (noerror) {
								
								try {
									var userid = '<?php echo $_SESSION['uid']; ?>';
									var msgret = "Error in Reloading!";
									$.each(response, function (index, value) {
										if (index.toLowerCase() == "msg") {
											msgret = value;
										}
									});
									

									console.log('loggin reload');
									var check = getLocalStorage(userid+'_ReloadLogHist');
									if(check){
										check.push({
											'ReloadString' : reloadnumber_var,
											'time' : '<?php echo date('Y-m-d H:i:s')?>'
										});
										setLocalStorage(userid+'_ReloadLogHist',check);								
									}else{
										var reloadHist = [];
											reloadHist.push({
											'ReloadString' : reloadnumber_var,
											'time' : '<?php echo date('Y-m-d H:i:s')?>'
										})

										setLocalStorage(userid+'_ReloadLogHist',reloadHist);
									}

									$.each(jqXHR, function (index, value) {

										if (index.toLowerCase() == "status") {
											switch(value) {
												case 200:
													if(reloadchattype_var=='Message'){
														showMessageAlert('Your account will be reloaded with Message credits. Please check back after 10 minutes.');
													} else if(reloadchattype_var=='Data'){

														showMessageAlert('Your account will be reloaded with Data credits. Please check back after 10 minutes.');
													}
													
													setCreditPopup();
													hideReloadPop();
													break;
												case 202:
													showMessageAlert('The reload number '+ reloadnumber_var +' is already used.\nPlease check your reload string and try again.');
													break;
												case 400:
													showMessageAlert( 'Error in Reloading!');
													break;
												default:
													showMessageAlert(msgret);
											}
											
											document.getElementById('txtReloadnumber').value = "";
										}
									});
								
								} catch (e) {}
								
							}
						});
					
						requestapi.fail(function (jqXHR, textStatus, errorThrown){
							noerror = false;
							showMessageAlert( 'Error in Reloading!');
						});
					
						requestapi.always(function () {
							requestapi = null;
							
							document.getElementById('txtReloadnumber').value = "";
							//$('a#btnReload').text('Reload');
							document.getElementById('btnReload').value = 'Reload';
							$('.portal-settings').unblock();
						});
					} else {
					}
				
				}
			);
		}else{
			sweetAlert('Invalid Reload string entered.\nReload should be 16 characters long without special characters.');
		}
	});


	$('#refresh-notif').on('click',function(e){
		$('#notif-table').block({message:'Retrieving message<br>please wait.'});
		$('.refresh-notif').addClass('fa-spinner fa-spin');

		//requestreloadstatus userid

		var userid = '<?php echo $_SESSION['uid']; ?>';


		var $ajaxRequest = $.ajax({
			url: __dhostmail + 'requestreloadtatus',
			type: 'POST',
			data: { loginid: userid},
		})
		.done(function(e) {
			if(e.length >= 1){
						var userid = '<?php echo $_SESSION['uid']; ?>';
				setLocalStorage(userid+'_messageNotifv9',e);
				LoadNotification(e);
			}else{
				LoadNotification([]);
			}
		})
		.fail(function() {

		})
		.always(function() {
			$('#notif-table').unblock();
			$('.refresh-notif').removeClass('fa-spinner fa-spin');
		});
	});


	function LoadNotification(e){
		var temp = '';

		if(e === false){
			temp += '<tr><td colspan="2"> No Notifications</td></tr>';			
		}else{

			if(e.length >= 1){
				for(var counter = 0; counter < e.length ; counter++){
					temp += '<tr class="readNotif" data-id="'+e[counter].MsgID+'">';
						temp += '<td style="word-wrap: break-word;"  >'+e[counter].MsgDate+'</td>';
						temp += '<td style="word-wrap: break-word;" class="readNotif" data-id="'+e[counter].MsgID+'">'+((e[counter].MsgBody).substr(0,45))+'...</td>';
					temp += '</tr>';
				}
			}else{
				temp += '<tr><td colspan="2"> No Notifications</td></tr>';
			}
		}

		$('#notification-data').html(temp);
	}

	$('#sendSupportEmail').on('submit',function(e){
		e.preventDefault();
	});

	$('#sendSupportEmail_btn').on('click',function(e){
		e.preventDefault();
		var supportMsg  = $('#supportMsg').val();
		var checkMsg = supportMsg.replace(/\s/g,'');

		if(checkMsg.length >=10)
		{
            sweetAlert({
                title: 'Send message to Support?',
                showCancelButton: true,
                confirmButtonText: "Ok",
                closeOnConfirm: false 
              },
              function(isConfirm){
              	if(isConfirm)
              	{
              		var lastSupportMessage = getLocalStorage('kndBd=='),continueMsg = false;

              		if(lastSupportMessage == '' || lastSupportMessage == null || typeof lastSupportMessage == "undefined")
              		{
              			continueMsg = true;
              		}else{

              			if(Math.floor( (Date.now() - lastSupportMessage) / 60 / 60 / 60) >= 30){
              				continueMsg = true;
              			}else{
              				continueMsg = false;
              			}
              		}   

              		if(continueMsg === true){
              			$('#contactSupport').block({message:'Sending Message to Support <br> Please wait <i class="fa fa-spin fa-spinner"></i>'});
              			_sendSupportEmail(supportMsg);
              		}else{
              			sweetAlert('A recent message was sent to support, Please try again later.');
              		}
              	}
              }
            );
		}else{
			sweetAlert('Unable to send empty message.');	
		}
	});



	function _sendSupportEmail($message){

		var loginId = '<?php echo $_SESSION['uid']; ?>',
			msgData = {
		  	macid: '<?php echo $GLOBALS['MACID']; ?>',
		    api_key: '<?php echo $GLOBALS['APIKEY']; ?>',
		    loginid: loginId,
		    messageid: generateMsgID(),
		    to: vconfig_server_supportemails,
		    cc: '',
		    bcc: '',
		    subject: Base64.encode( 'Support E-mail from user ['+loginId+']' ),
		    body: Base64.encode( $message ),
		    attachmentcount: 0, //getattachmentcount(),
		    creditused: 0,
		    messagelimit: 0<?php echo urladdparams(); ?>+""+getSession()
		};


		var dhost = __dhostmail + 'sendmessage';

		var AjaxObjHolder = $.ajax({
			url: dhost,
			type: 'POST',		
			data: msgData,
		});
        		
      	AjaxObjHolder.done(function(e){
      		 setLocalStorage('kndBd==',Date.now());
      		 $('#supportMsg').val('');
      		 sweetAlert('Message has been sent to support.');
      	});

		AjaxObjHolder.fail(function(e){
      		$('#contactSupport').block({message:'Sending Message to Support<br> Please wait <i class="fa fa-spin fa-spinner"></i>'});					
      	});              	
		
		AjaxObjHolder.always(function(e){
      		$('#contactSupport').unblock();					
      	});                 		
	}

	var istat = getInetStat();

	if (istat == "1") {
		autoRefreshData();
	} else {
		getUserWebData(false);
	}	

	setTimeout(function(){

		var userid = '<?php echo $_SESSION['uid']; ?>';
		var NotifAvail = getLocalStorage(userid+'_messageNotifv9');
		if(NotifAvail){
			LoadNotification(NotifAvail);
		}else{
			LoadNotification(false);
		}

		hideLoadingMessageDisp();
	},2000);
	
	var launchInterval = setInterval(function(){
		
		if( $('#activateInetButton').is(':hidden')){
			$('#activateInetButton').show();
		}
	},2000);

	$(document).on('click','.readNotif',function(e){
		e.preventDefault();

		var userid = '<?php echo $_SESSION['uid']; ?>';
		var $elem = $(this),data = getLocalStorage(userid+'_messageNotifv9'),target = $elem.attr('data-id');

		if(data){

			for(var x = 0 ; x < data.length ; x++){
				if(data[x].MsgID == target){
					message = data[x].MsgBody;
					break;
				}
			}



		    $('.reader > p').html(message.replace(/\n/g,'<br>'));		    
		    $('.reader').css({
		        'position' : 'absolute',
		        'left' : '50%',
		        'top' : '50%',
		        'margin-left' : function() {return -$(this).outerWidth()/2},
		        'margin-top' : function() {return -$(this).outerHeight()/2}
		    });

		    $('.reader').show();
		    $("html, body").animate({ scrollTop: 0 }, "slow");
		}

	});


 	 $(window).on('resize',function(){
 	 	if($('.reader').is(':visible')){
		    $('.reader').css({
		        'position' : 'absolute',
		        'left' : '50%',
		        'top' : '50%',
		        'margin-left' : function() {return -$(this).outerWidth()/2},
		        'margin-top' : function() {return -$(this).outerHeight()/2}
		    });
 	 	}
 	 });

	$(document).on('click','.close-message-inbox',function(e){
		e.preventDefault();
		$('.reader > p').html('');
		$('.reader').hide();
	});
</script>